# uipath-orchestrator-rest
UIPath Orchestrator API

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 18.0
- Package version: 18.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

# Fixing the autogenerated code

Note that the automatically generated code by Swagger Codegen has some syntax errors. The scripts in codefixer will automatically download and fix the code for a specified swagger URL

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

The package is now available on PyPI!
```sh
pip install uipath-orchestrator-rest
```

Alternatively you can install the latest Github release, you can install directly from Github

```sh
pip install git+https://github.com/TaruDesigns/UIPathAPI
```

Then import the package:
```python
import uipath_orchestrator_rest 
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import uipath_orchestrator_rest
from uipath_orchestrator_rest.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = uipath_orchestrator_rest.AccountApi(uipath_orchestrator_rest.ApiClient(configuration))
body = uipath_orchestrator_rest.LoginModel() # LoginModel | The login parameters. (optional)

try:
    # Authenticates the user based on user name and password
    api_response = api_instance.account_authenticate(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_authenticate: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://cloud.uipath.com/jcaravaca42/jorge_pruebas/orchestrator_/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**account_authenticate**](docs/AccountApi.md#account_authenticate) | **POST** /api/Account/Authenticate | Authenticates the user based on user name and password
*AlertsApi* | [**alerts_get**](docs/AlertsApi.md#alerts_get) | **GET** /odata/Alerts | Gets alerts.
*AlertsApi* | [**alerts_get_unread_count**](docs/AlertsApi.md#alerts_get_unread_count) | **GET** /odata/Alerts/UiPath.Server.Configuration.OData.GetUnreadCount | Returns the total number of alerts, per tenant, that haven&#39;t been read by the current user.
*AlertsApi* | [**alerts_mark_as_read**](docs/AlertsApi.md#alerts_mark_as_read) | **POST** /odata/Alerts/UiPath.Server.Configuration.OData.MarkAsRead | Marks alerts as read and returns the remaining number of unread notifications.
*AlertsApi* | [**alerts_raise_process_alert**](docs/AlertsApi.md#alerts_raise_process_alert) | **POST** /odata/Alerts/UiPath.Server.Configuration.OData.RaiseProcessAlert | Creates a Process Alert
*AppTasksApi* | [**app_tasks_complete_app_task**](docs/AppTasksApi.md#app_tasks_complete_app_task) | **POST** /tasks/AppTasks/CompleteAppTask | Complete the task by saving app task data and action taken
*AppTasksApi* | [**app_tasks_create_app_task**](docs/AppTasksApi.md#app_tasks_create_app_task) | **POST** /tasks/AppTasks/CreateAppTask | Creates a new App Task.
*AppTasksApi* | [**app_tasks_get_app_task_by_id**](docs/AppTasksApi.md#app_tasks_get_app_task_by_id) | **GET** /tasks/AppTasks/GetAppTaskById | Returns dto to render app task
*AppTasksApi* | [**app_tasks_save_and_reassign_app_tasks**](docs/AppTasksApi.md#app_tasks_save_and_reassign_app_tasks) | **POST** /tasks/AppTasks/SaveAndReassignAppTasks | Save changes done by the current user and Reassign Task to another user
*AppTasksApi* | [**app_tasks_save_app_tasks_data**](docs/AppTasksApi.md#app_tasks_save_app_tasks_data) | **PUT** /tasks/AppTasks/SaveAppTasksData | Save task data
*AssetsApi* | [**assets_delete_by_id**](docs/AssetsApi.md#assets_delete_by_id) | **DELETE** /odata/Assets({key}) | Delete an asset
*AssetsApi* | [**assets_get**](docs/AssetsApi.md#assets_get) | **GET** /odata/Assets | Get Assets
*AssetsApi* | [**assets_get_assets_across_folders**](docs/AssetsApi.md#assets_get_assets_across_folders) | **GET** /odata/Assets/UiPath.Server.Configuration.OData.GetAssetsAcrossFolders | Get the assets from all the folders in which the current user has the Assets.View permission, except the one specified.
*AssetsApi* | [**assets_get_by_id**](docs/AssetsApi.md#assets_get_by_id) | **GET** /odata/Assets({key}) | Gets a single asset based on its id
*AssetsApi* | [**assets_get_filtered**](docs/AssetsApi.md#assets_get_filtered) | **GET** /odata/Assets/UiPath.Server.Configuration.OData.GetFiltered | Get Filtered Assets
*AssetsApi* | [**assets_get_folders_for_asset_by_id**](docs/AssetsApi.md#assets_get_folders_for_asset_by_id) | **GET** /odata/Assets/UiPath.Server.Configuration.OData.GetFoldersForAsset(id&#x3D;{id}) | Get all accesible folders where the asset is shared, and the total count of folders where it is shared (including unaccessible folders).
*AssetsApi* | [**assets_get_robot_asset_by_name_for_robot_key**](docs/AssetsApi.md#assets_get_robot_asset_by_name_for_robot_key) | **POST** /odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByNameForRobotKey | Returns the named asset associated to the given robot key.
*AssetsApi* | [**assets_get_robot_asset_by_robot_id**](docs/AssetsApi.md#assets_get_robot_asset_by_robot_id) | **GET** /odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId(robotId&#x3D;{robotId},assetName&#x3D;{assetName}) | Returns the named asset associated to the given robot Id.
*AssetsApi* | [**assets_get_robot_asset_by_robotid_and_assetname**](docs/AssetsApi.md#assets_get_robot_asset_by_robotid_and_assetname) | **GET** /odata/Assets/UiPath.Server.Configuration.OData.GetRobotAsset(robotId&#x3D;{robotId},assetName&#x3D;{assetName}) | Returns the named asset associated to the given robot key.
*AssetsApi* | [**assets_post**](docs/AssetsApi.md#assets_post) | **POST** /odata/Assets | Creates an asset
*AssetsApi* | [**assets_put_by_id**](docs/AssetsApi.md#assets_put_by_id) | **PUT** /odata/Assets({key}) | Edit an asset
*AssetsApi* | [**assets_set_robot_asset_by_robot_key**](docs/AssetsApi.md#assets_set_robot_asset_by_robot_key) | **POST** /odata/Assets/UiPath.Server.Configuration.OData.SetRobotAssetByRobotKey | Set the asset value associated to the given robot key.
*AssetsApi* | [**assets_share_to_folders**](docs/AssetsApi.md#assets_share_to_folders) | **POST** /odata/Assets/UiPath.Server.Configuration.OData.ShareToFolders | Adds the assets to the folders specified in &#39;ToAddFolderIds&#39;. Removes the assets from the folders specified in &#39;ToRemoveFolderIds&#39;.
*AuditLogsApi* | [**audit_logs_export**](docs/AuditLogsApi.md#audit_logs_export) | **POST** /odata/AuditLogs/UiPath.Server.Configuration.OData.Export | Requests a CSV export of filtered items.
*AuditLogsApi* | [**audit_logs_get**](docs/AuditLogsApi.md#audit_logs_get) | **GET** /odata/AuditLogs | Gets Audit logs.
*AuditLogsApi* | [**audit_logs_get_audit_log_details_by_auditlogid**](docs/AuditLogsApi.md#audit_logs_get_audit_log_details_by_auditlogid) | **GET** /odata/AuditLogs/UiPath.Server.Configuration.OData.GetAuditLogDetails(auditLogId&#x3D;{auditLogId}) | Returns audit log details by audit log id
*BucketsApi* | [**buckets_delete_by_id**](docs/BucketsApi.md#buckets_delete_by_id) | **DELETE** /odata/Buckets({key}) | Delete a bucket
*BucketsApi* | [**buckets_delete_file_by_key**](docs/BucketsApi.md#buckets_delete_file_by_key) | **DELETE** /odata/Buckets({key})/UiPath.Server.Configuration.OData.DeleteFile | Deletes a file.
*BucketsApi* | [**buckets_get**](docs/BucketsApi.md#buckets_get) | **GET** /odata/Buckets | Gets Buckets.
*BucketsApi* | [**buckets_get_buckets_across_folders**](docs/BucketsApi.md#buckets_get_buckets_across_folders) | **GET** /odata/Buckets/UiPath.Server.Configuration.OData.GetBucketsAcrossFolders | Get the buckets from all the folders in which the current user has the Buckets.View permission, except the one specified.
*BucketsApi* | [**buckets_get_by_id**](docs/BucketsApi.md#buckets_get_by_id) | **GET** /odata/Buckets({key}) | Gets a single Bucket.
*BucketsApi* | [**buckets_get_directories_by_key**](docs/BucketsApi.md#buckets_get_directories_by_key) | **GET** /odata/Buckets({key})/UiPath.Server.Configuration.OData.GetDirectories | Gets the child directories in a directory.
*BucketsApi* | [**buckets_get_file_by_key**](docs/BucketsApi.md#buckets_get_file_by_key) | **GET** /odata/Buckets({key})/UiPath.Server.Configuration.OData.GetFile | Gets a file metadata.
*BucketsApi* | [**buckets_get_files_by_key**](docs/BucketsApi.md#buckets_get_files_by_key) | **GET** /odata/Buckets({key})/UiPath.Server.Configuration.OData.GetFiles | Gets the files in a directory.  Optionally returns all files in all child directories (recursive).
*BucketsApi* | [**buckets_get_folders_for_bucket_by_id**](docs/BucketsApi.md#buckets_get_folders_for_bucket_by_id) | **GET** /odata/Buckets/UiPath.Server.Configuration.OData.GetFoldersForBucket(id&#x3D;{id}) | Get all accessible folders where the bucket is shared, and the total count of folders where it is shared (including unaccessible folders).
*BucketsApi* | [**buckets_get_read_uri_by_key**](docs/BucketsApi.md#buckets_get_read_uri_by_key) | **GET** /odata/Buckets({key})/UiPath.Server.Configuration.OData.GetReadUri | Gets a direct download URL for BlobFile.
*BucketsApi* | [**buckets_get_write_uri_by_key**](docs/BucketsApi.md#buckets_get_write_uri_by_key) | **GET** /odata/Buckets({key})/UiPath.Server.Configuration.OData.GetWriteUri | Gets a direct upload URL for BlobFile.
*BucketsApi* | [**buckets_post**](docs/BucketsApi.md#buckets_post) | **POST** /odata/Buckets | Creates an Bucket
*BucketsApi* | [**buckets_put_by_id**](docs/BucketsApi.md#buckets_put_by_id) | **PUT** /odata/Buckets({key}) | Updates a bucket.
*BucketsApi* | [**buckets_share_to_folders**](docs/BucketsApi.md#buckets_share_to_folders) | **POST** /odata/Buckets/UiPath.Server.Configuration.OData.ShareToFolders | Adds the buckets to the folders specified in &#39;ToAddFolderIds&#39;. Removes the buckets from the folders specified in &#39;ToRemoveFolderIds&#39;.
*CalendarsApi* | [**calendars_calendar_exists**](docs/CalendarsApi.md#calendars_calendar_exists) | **POST** /odata/Calendars/UiPath.Server.Configuration.OData.CalendarExists | Validate calendar name, and check if it already exists.
*CalendarsApi* | [**calendars_delete_by_id**](docs/CalendarsApi.md#calendars_delete_by_id) | **DELETE** /odata/Calendars({key}) | Deletes a calendar.
*CalendarsApi* | [**calendars_get**](docs/CalendarsApi.md#calendars_get) | **GET** /odata/Calendars | Gets calendars for current tenant.
*CalendarsApi* | [**calendars_get_by_id**](docs/CalendarsApi.md#calendars_get_by_id) | **GET** /odata/Calendars({key}) | Gets calendar based on its id.
*CalendarsApi* | [**calendars_post**](docs/CalendarsApi.md#calendars_post) | **POST** /odata/Calendars | Creates a new calendar.
*CalendarsApi* | [**calendars_put_by_id**](docs/CalendarsApi.md#calendars_put_by_id) | **PUT** /odata/Calendars({key}) | Edits a calendar.
*CredentialStoresApi* | [**credential_stores_delete_by_id**](docs/CredentialStoresApi.md#credential_stores_delete_by_id) | **DELETE** /odata/CredentialStores({key}) | Deletes a Credential Store.
*CredentialStoresApi* | [**credential_stores_get**](docs/CredentialStoresApi.md#credential_stores_get) | **GET** /odata/CredentialStores | Gets all Credential Stores.
*CredentialStoresApi* | [**credential_stores_get_available_credential_store_types**](docs/CredentialStoresApi.md#credential_stores_get_available_credential_store_types) | **GET** /odata/CredentialStores/UiPath.Server.Configuration.OData.GetAvailableCredentialStoreTypes | Gets available Credential Store types.
*CredentialStoresApi* | [**credential_stores_get_by_id**](docs/CredentialStoresApi.md#credential_stores_get_by_id) | **GET** /odata/CredentialStores({key}) | Gets a single Credential Store by its key.
*CredentialStoresApi* | [**credential_stores_get_default_store_for_resource_type_by_resourcetype**](docs/CredentialStoresApi.md#credential_stores_get_default_store_for_resource_type_by_resourcetype) | **GET** /odata/CredentialStores/UiPath.Server.Configuration.OData.GetDefaultStoreForResourceType(resourceType&#x3D;{resourceType}) | Get the default credential store for the given resource type.
*CredentialStoresApi* | [**credential_stores_get_resources_for_credential_store_types_by_key_and_resourcetype**](docs/CredentialStoresApi.md#credential_stores_get_resources_for_credential_store_types_by_key_and_resourcetype) | **GET** /odata/CredentialStores/UiPath.Server.Configuration.OData.GetResourcesForCredentialStoreTypes(key&#x3D;{key},resourceType&#x3D;{resourceType}) | Gets available resources robots (and later assets) for a credential store.
*CredentialStoresApi* | [**credential_stores_get_resources_for_credentials_proxy_resource_types**](docs/CredentialStoresApi.md#credential_stores_get_resources_for_credentials_proxy_resource_types) | **GET** /odata/CredentialStores/UiPath.Server.Configuration.OData.GetResourcesForCredentialsProxyResourceTypes(key&#x3D;{key},resourceType&#x3D;{resourceType}) | Gets available resources robots (and later assets) for a credential store.
*CredentialStoresApi* | [**credential_stores_post**](docs/CredentialStoresApi.md#credential_stores_post) | **POST** /odata/CredentialStores | Creates a new Credential Store.
*CredentialStoresApi* | [**credential_stores_put_by_id**](docs/CredentialStoresApi.md#credential_stores_put_by_id) | **PUT** /odata/CredentialStores({key}) | Updates a Credential Store.
*CredentialStoresApi* | [**credential_stores_set_default_store_for_resource_type_by_id**](docs/CredentialStoresApi.md#credential_stores_set_default_store_for_resource_type_by_id) | **POST** /odata/CredentialStores({key})/UiPath.Server.Configuration.OData.SetDefaultStoreForResourceType | Sets a credential store as the default for the given credential type.
*DirectoryServiceApi* | [**directory_service_get_directory_permissions**](docs/DirectoryServiceApi.md#directory_service_get_directory_permissions) | **GET** /api/DirectoryService/GetDirectoryPermissions | Gets directory permissions
*DirectoryServiceApi* | [**directory_service_get_domains**](docs/DirectoryServiceApi.md#directory_service_get_domains) | **GET** /api/DirectoryService/GetDomains | Gets domains
*DirectoryServiceApi* | [**directory_service_search_for_users_and_groups**](docs/DirectoryServiceApi.md#directory_service_search_for_users_and_groups) | **GET** /api/DirectoryService/SearchForUsersAndGroups | Search users and groups
*EnvironmentsApi* | [**environments_add_robot_by_id**](docs/EnvironmentsApi.md#environments_add_robot_by_id) | **POST** /odata/Environments({key})/UiPath.Server.Configuration.OData.AddRobot | Associates a robot with the given environment.
*EnvironmentsApi* | [**environments_delete_by_id**](docs/EnvironmentsApi.md#environments_delete_by_id) | **DELETE** /odata/Environments({key}) | Deletes an environment.
*EnvironmentsApi* | [**environments_get**](docs/EnvironmentsApi.md#environments_get) | **GET** /odata/Environments | Gets Environments.
*EnvironmentsApi* | [**environments_get_by_id**](docs/EnvironmentsApi.md#environments_get_by_id) | **GET** /odata/Environments({key}) | Gets a single environment.
*EnvironmentsApi* | [**environments_get_robot_ids_for_environment_by_key**](docs/EnvironmentsApi.md#environments_get_robot_ids_for_environment_by_key) | **GET** /odata/Environments/UiPath.Server.Configuration.OData.GetRobotIdsForEnvironment(key&#x3D;{key}) | Returns a collection of all the ids of the robots associated to an environment based on environment Id.
*EnvironmentsApi* | [**environments_get_robots_for_environment_by_key**](docs/EnvironmentsApi.md#environments_get_robots_for_environment_by_key) | **GET** /odata/Environments/UiPath.Server.Configuration.OData.GetRobotsForEnvironment(key&#x3D;{key}) | Returns a collection of all robots and, if no other sorting is provided, will place first those belonging to the environment. Allows odata query options.
*EnvironmentsApi* | [**environments_post**](docs/EnvironmentsApi.md#environments_post) | **POST** /odata/Environments | Post new environment
*EnvironmentsApi* | [**environments_put_by_id**](docs/EnvironmentsApi.md#environments_put_by_id) | **PUT** /odata/Environments({key}) | Updates an environment.
*EnvironmentsApi* | [**environments_remove_robot_by_id**](docs/EnvironmentsApi.md#environments_remove_robot_by_id) | **POST** /odata/Environments({key})/UiPath.Server.Configuration.OData.RemoveRobot | Dissociates a robot from the given environment.
*EnvironmentsApi* | [**environments_set_robots_by_id**](docs/EnvironmentsApi.md#environments_set_robots_by_id) | **POST** /odata/Environments({key})/UiPath.Server.Configuration.OData.SetRobots | Associates a group of robots with and dissociates another group of robots from the given environment.
*ExecutionMediaApi* | [**execution_media_delete_media_by_job_id**](docs/ExecutionMediaApi.md#execution_media_delete_media_by_job_id) | **POST** /odata/ExecutionMedia/UiPath.Server.Configuration.OData.DeleteMediaByJobId | Deletes the execution media for the given job key.
*ExecutionMediaApi* | [**execution_media_download_media_by_job_id**](docs/ExecutionMediaApi.md#execution_media_download_media_by_job_id) | **GET** /odata/ExecutionMedia/UiPath.Server.Configuration.OData.DownloadMediaByJobId(jobId&#x3D;{jobId}) | Downloads execution media by job id
*ExecutionMediaApi* | [**execution_media_get**](docs/ExecutionMediaApi.md#execution_media_get) | **GET** /odata/ExecutionMedia | 
*ExecutionMediaApi* | [**execution_media_get_by_id**](docs/ExecutionMediaApi.md#execution_media_get_by_id) | **GET** /odata/ExecutionMedia({key}) | Get by id
*ExportsApi* | [**exports_get_by_id**](docs/ExportsApi.md#exports_get_by_id) | **GET** /odata/Exports({key}) | 
*ExportsApi* | [**exports_get_download_link_by_id**](docs/ExportsApi.md#exports_get_download_link_by_id) | **GET** /odata/Exports({key})/UiPath.Server.Configuration.OData.GetDownloadLink | 
*FoldersApi* | [**folders_assign_domain_user**](docs/FoldersApi.md#folders_assign_domain_user) | **POST** /odata/Folders/UiPath.Server.Configuration.OData.AssignDomainUser | Assigns a directory user or group to a set of folders with an optional set of roles per folder.
*FoldersApi* | [**folders_assign_machines**](docs/FoldersApi.md#folders_assign_machines) | **POST** /odata/Folders/UiPath.Server.Configuration.OData.AssignMachines | Assigns one or more machines to a set of folders.
*FoldersApi* | [**folders_assign_users**](docs/FoldersApi.md#folders_assign_users) | **POST** /odata/Folders/UiPath.Server.Configuration.OData.AssignUsers | Assigns one or more users to a set of folders with an optional set of roles per folder.
*FoldersApi* | [**folders_delete_by_id**](docs/FoldersApi.md#folders_delete_by_id) | **DELETE** /odata/Folders({key}) | Deletes a folder. Succeeds only if no entities or user associations  exist in this folder or any of its descendants.
*FoldersApi* | [**folders_delete_by_key**](docs/FoldersApi.md#folders_delete_by_key) | **DELETE** /api/Folders/DeleteByKey | Deletes a folder. Succeeds only if no entities or user associations  exist in this folder or any of its descendants.
*FoldersApi* | [**folders_get**](docs/FoldersApi.md#folders_get) | **GET** /odata/Folders | Gets folders.
*FoldersApi* | [**folders_get_all_roles_for_user_by_username_and_skip_and_take**](docs/FoldersApi.md#folders_get_all_roles_for_user_by_username_and_skip_and_take) | **GET** /odata/Folders/UiPath.Server.Configuration.OData.GetAllRolesForUser(username&#x3D;{username},skip&#x3D;{skip},take&#x3D;{take}) | Returns a page of the user-folder assignments for the input user, including the roles for each folder.  The response also includes the folders assigned to the directory groups of the user.  The distinction between the folders assigned directly to the user and the ones assigned to one of his groups  can be made via the User field of the response.  LIMITATION: If URI parameters contain special characters (eg. \\, /), use instead api/FoldersNavigation/GetAllRolesForUser endpoint.
*FoldersApi* | [**folders_get_by_id**](docs/FoldersApi.md#folders_get_by_id) | **GET** /odata/Folders({key}) | Gets a single folder, based on its Id.
*FoldersApi* | [**folders_get_by_key_by_identifier**](docs/FoldersApi.md#folders_get_by_key_by_identifier) | **GET** /odata/Folders/UiPath.Server.Configuration.OData.GetByKey(identifier&#x3D;{identifier}) | Gets a single folder, based on its Key.
*FoldersApi* | [**folders_get_machines_for_folder_by_key**](docs/FoldersApi.md#folders_get_machines_for_folder_by_key) | **GET** /odata/Folders/UiPath.Server.Configuration.OData.GetMachinesForFolder(key&#x3D;{key}) | Returns the machines assigned to a folder.
*FoldersApi* | [**folders_get_move_folder_machines_changes**](docs/FoldersApi.md#folders_get_move_folder_machines_changes) | **GET** /odata/Folders/UiPath.Server.Configuration.OData.GetMoveFolderMachinesChanges | Gets the machine changes when moving a folder
*FoldersApi* | [**folders_get_subfolders_with_assigned_machine**](docs/FoldersApi.md#folders_get_subfolders_with_assigned_machine) | **GET** /odata/Folders/UiPath.Server.Configuration.OData.GetSubfoldersWithAssignedMachine | Gets direct machine assignments for all subfolders of the specific folder
*FoldersApi* | [**folders_get_users_for_folder_by_key_and_includeinherited**](docs/FoldersApi.md#folders_get_users_for_folder_by_key_and_includeinherited) | **GET** /odata/Folders/UiPath.Server.Configuration.OData.GetUsersForFolder(key&#x3D;{key},includeInherited&#x3D;{includeInherited}) | Returns the users who have access to a folder and optionally the fine-grained roles each one  has on that folder.
*FoldersApi* | [**folders_move_folder_by_folderid**](docs/FoldersApi.md#folders_move_folder_by_folderid) | **PUT** /odata/Folders({folderId})/UiPath.Server.Configuration.OData.MoveFolder | Move a folder.
*FoldersApi* | [**folders_patch_name_description**](docs/FoldersApi.md#folders_patch_name_description) | **PATCH** /api/Folders/PatchNameDescription | Edits a folder.
*FoldersApi* | [**folders_post**](docs/FoldersApi.md#folders_post) | **POST** /odata/Folders | Creates a new folder.
*FoldersApi* | [**folders_put_by_id**](docs/FoldersApi.md#folders_put_by_id) | **PUT** /odata/Folders({key}) | Edits a folder.
*FoldersApi* | [**folders_remove_machines_from_folder_by_id**](docs/FoldersApi.md#folders_remove_machines_from_folder_by_id) | **POST** /odata/Folders({key})/UiPath.Server.Configuration.OData.RemoveMachinesFromFolder | Remove user assignment from a folder.
*FoldersApi* | [**folders_remove_user_from_folder_by_id**](docs/FoldersApi.md#folders_remove_user_from_folder_by_id) | **POST** /odata/Folders({key})/UiPath.Server.Configuration.OData.RemoveUserFromFolder | Remove user assignment from a folder.
*FoldersApi* | [**folders_toggle_folder_machine_inherit**](docs/FoldersApi.md#folders_toggle_folder_machine_inherit) | **POST** /odata/Folders/UiPath.Server.Configuration.OData.ToggleFolderMachineInherit | Toggle machine propagation for a folder to all subfolders.
*FoldersApi* | [**folders_update_machines_to_folder_associations**](docs/FoldersApi.md#folders_update_machines_to_folder_associations) | **POST** /odata/Folders/UiPath.Server.Configuration.OData.UpdateMachinesToFolderAssociations | Add and remove machine associations to a folder
*FoldersNavigationApi* | [**folders_navigation_get_all_folders_for_current_user**](docs/FoldersNavigationApi.md#folders_navigation_get_all_folders_for_current_user) | **GET** /api/FoldersNavigation/GetAllFoldersForCurrentUser | Returns the folders the current user has access to.  The response will be a list of folders; the hierarchy can be reconstructed  using the ParentId properties. From the root to the folders the user has  actually been assigned to, the folders will be marked as non-selectable  and only the paths to the assigned-to folders will be included.  From the assigned-to folders down to the leaves, the nodes will be marked as  selectable and their children lists fully populated.
*FoldersNavigationApi* | [**folders_navigation_get_all_roles_for_user**](docs/FoldersNavigationApi.md#folders_navigation_get_all_roles_for_user) | **GET** /api/FoldersNavigation/GetAllRolesForUser | Returns a page of the user-folder assignments for the input user, including the roles for each folder.  The response also includes the folders assigned to the directory groups of the user.  The distinction between the folders assigned directly to the user and the ones assigned to one of his groups  can be made via the User field of the response.
*FoldersNavigationApi* | [**folders_navigation_get_folder_navigation_context_for_current_user**](docs/FoldersNavigationApi.md#folders_navigation_get_folder_navigation_context_for_current_user) | **GET** /api/FoldersNavigation/GetFolderNavigationContextForCurrentUser | Returns a subset (paginated) of direct children for a given folder, which are accessible to the current user.  To ease a folder tree structure navigation design, the list of ancestors for the given folder is also returned.
*FoldersNavigationApi* | [**folders_navigation_get_folders_for_current_user**](docs/FoldersNavigationApi.md#folders_navigation_get_folders_for_current_user) | **GET** /api/FoldersNavigation/GetFoldersForCurrentUser | Returns a filtered subset (paginated) of the folders the current user has access to.
*GenericTasksApi* | [**generic_tasks_complete_task**](docs/GenericTasksApi.md#generic_tasks_complete_task) | **POST** /tasks/GenericTasks/CompleteTask | Complete the task by saving task data and action taken
*GenericTasksApi* | [**generic_tasks_create_task**](docs/GenericTasksApi.md#generic_tasks_create_task) | **POST** /tasks/GenericTasks/CreateTask | Creates a new Generic Task.
*GenericTasksApi* | [**generic_tasks_get_task_data_by_id**](docs/GenericTasksApi.md#generic_tasks_get_task_data_by_id) | **GET** /tasks/GenericTasks/GetTaskDataById | Returns task data dto
*GenericTasksApi* | [**generic_tasks_save_and_reassign_task**](docs/GenericTasksApi.md#generic_tasks_save_and_reassign_task) | **POST** /tasks/GenericTasks/SaveAndReassignTask | Save changes done by the current user and Reassign Task to another user
*GenericTasksApi* | [**generic_tasks_save_task_data**](docs/GenericTasksApi.md#generic_tasks_save_task_data) | **PUT** /tasks/GenericTasks/SaveTaskData | Save Task data
*GenericTasksApi* | [**generic_tasks_save_task_tags**](docs/GenericTasksApi.md#generic_tasks_save_task_tags) | **PUT** /tasks/GenericTasks/SaveTaskTags | Save tags for a task
*HostLicensesApi* | [**host_licenses_activate_license_offline**](docs/HostLicensesApi.md#host_licenses_activate_license_offline) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.ActivateLicenseOffline | Uploads a new offline license activation.  The content of the license is sent as a file embedded in the HTTP request.
*HostLicensesApi* | [**host_licenses_activate_license_online**](docs/HostLicensesApi.md#host_licenses_activate_license_online) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.ActivateLicenseOnline | Activate the license for the host
*HostLicensesApi* | [**host_licenses_deactivate_license_online**](docs/HostLicensesApi.md#host_licenses_deactivate_license_online) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.DeactivateLicenseOnline | Deactivate the license for the host
*HostLicensesApi* | [**host_licenses_delete_by_id**](docs/HostLicensesApi.md#host_licenses_delete_by_id) | **DELETE** /odata/HostLicenses({key}) | Deletes a host license based on its key.
*HostLicensesApi* | [**host_licenses_delete_tenant_license**](docs/HostLicensesApi.md#host_licenses_delete_tenant_license) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.DeleteTenantLicense | Deletes a tenant license based on its key.
*HostLicensesApi* | [**host_licenses_get**](docs/HostLicensesApi.md#host_licenses_get) | **GET** /odata/HostLicenses | Gets host licenses.
*HostLicensesApi* | [**host_licenses_get_by_id**](docs/HostLicensesApi.md#host_licenses_get_by_id) | **GET** /odata/HostLicenses({key}) | Gets a single host license based on its key.
*HostLicensesApi* | [**host_licenses_get_deactivate_license_offline**](docs/HostLicensesApi.md#host_licenses_get_deactivate_license_offline) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.GetDeactivateLicenseOffline | Deactivate the license offline for the host
*HostLicensesApi* | [**host_licenses_get_license_offline**](docs/HostLicensesApi.md#host_licenses_get_license_offline) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.GetLicenseOffline | Create the offline activation request for the host
*HostLicensesApi* | [**host_licenses_get_tenant_license_by_tenantid**](docs/HostLicensesApi.md#host_licenses_get_tenant_license_by_tenantid) | **GET** /odata/HostLicenses/UiPath.Server.Configuration.OData.GetTenantLicense(tenantId&#x3D;{tenantId}) | Gets a single tenant license based on its id.
*HostLicensesApi* | [**host_licenses_set_tenant_license**](docs/HostLicensesApi.md#host_licenses_set_tenant_license) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.SetTenantLicense | Sets the license for a specific tenant
*HostLicensesApi* | [**host_licenses_update_license_online**](docs/HostLicensesApi.md#host_licenses_update_license_online) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.UpdateLicenseOnline | Update the license for the host
*HostLicensesApi* | [**host_licenses_upload_license**](docs/HostLicensesApi.md#host_licenses_upload_license) | **POST** /odata/HostLicenses/UiPath.Server.Configuration.OData.UploadLicense | Uploads a new host license file that was previously generated with Regutil.  The content of the license is sent as a file embedded in the HTTP request.
*JobTriggersApi* | [**job_triggers_deliver_payload_by_inboxid**](docs/JobTriggersApi.md#job_triggers_deliver_payload_by_inboxid) | **POST** /api/JobTriggers/DeliverPayload/{inboxId} | Deliver payload for trigger inboxId.
*JobTriggersApi* | [**job_triggers_get**](docs/JobTriggersApi.md#job_triggers_get) | **GET** /odata/JobTriggers | Gets JobTriggers.
*JobTriggersApi* | [**job_triggers_get_payload_by_inboxid**](docs/JobTriggersApi.md#job_triggers_get_payload_by_inboxid) | **GET** /api/JobTriggers/GetPayload/{inboxId} | Get payload for trigger inboxId.
*JobTriggersApi* | [**job_triggers_get_with_wait_events_by_jobid**](docs/JobTriggersApi.md#job_triggers_get_with_wait_events_by_jobid) | **GET** /odata/JobTriggers/UiPath.Server.Configuration.OData.GetWithWaitEvents(jobId&#x3D;{jobId}) | Gets Trigger option for a job instance along with wait event details    .
*JobsApi* | [**jobs_export**](docs/JobsApi.md#jobs_export) | **POST** /odata/Jobs/UiPath.Server.Configuration.OData.Export | Requests a CSV export of filtered items.
*JobsApi* | [**jobs_get**](docs/JobsApi.md#jobs_get) | **GET** /odata/Jobs | Gets Jobs.
*JobsApi* | [**jobs_get_by_id**](docs/JobsApi.md#jobs_get_by_id) | **GET** /odata/Jobs({key}) | Gets a single job.
*JobsApi* | [**jobs_restart_job**](docs/JobsApi.md#jobs_restart_job) | **POST** /odata/Jobs/UiPath.Server.Configuration.OData.RestartJob | Restarts the specified job.
*JobsApi* | [**jobs_resume_job**](docs/JobsApi.md#jobs_resume_job) | **POST** /odata/Jobs/UiPath.Server.Configuration.OData.ResumeJob | Resumes the specified job.
*JobsApi* | [**jobs_start_jobs**](docs/JobsApi.md#jobs_start_jobs) | **POST** /odata/Jobs/UiPath.Server.Configuration.OData.StartJobs | Adds a new job and sets it in Pending state for each robot based on the input parameters and notifies the respective robots about the pending job.
*JobsApi* | [**jobs_stop_job_by_id**](docs/JobsApi.md#jobs_stop_job_by_id) | **POST** /odata/Jobs({key})/UiPath.Server.Configuration.OData.StopJob | Cancels or terminates the specified job.
*JobsApi* | [**jobs_stop_jobs**](docs/JobsApi.md#jobs_stop_jobs) | **POST** /odata/Jobs/UiPath.Server.Configuration.OData.StopJobs | Cancels or terminates the specified jobs.
*JobsApi* | [**jobs_validate_dynamic_job**](docs/JobsApi.md#jobs_validate_dynamic_job) | **POST** /odata/Jobs/UiPath.Server.Configuration.OData.ValidateDynamicJob | Validates the input which would start a job.
*JobsApi* | [**jobs_validate_existing_job_by_id**](docs/JobsApi.md#jobs_validate_existing_job_by_id) | **POST** /odata/Jobs({key})/UiPath.Server.Configuration.OData.ValidateExistingJob | Validates an existing job.
*LibrariesApi* | [**libraries_delete_by_id**](docs/LibrariesApi.md#libraries_delete_by_id) | **DELETE** /odata/Libraries({key}) | Deletes a package.
*LibrariesApi* | [**libraries_download_package_by_key**](docs/LibrariesApi.md#libraries_download_package_by_key) | **GET** /odata/Libraries/UiPath.Server.Configuration.OData.DownloadPackage(key&#x3D;{key}) | Downloads the .nupkg file of a Package.
*LibrariesApi* | [**libraries_get**](docs/LibrariesApi.md#libraries_get) | **GET** /odata/Libraries | Gets the library packages.
*LibrariesApi* | [**libraries_get_versions_by_packageid**](docs/LibrariesApi.md#libraries_get_versions_by_packageid) | **GET** /odata/Libraries/UiPath.Server.Configuration.OData.GetVersions(packageId&#x3D;{packageId}) | Returns a collection of all available versions of a given package. Allows odata query options.
*LibrariesApi* | [**libraries_upload_package**](docs/LibrariesApi.md#libraries_upload_package) | **POST** /odata/Libraries/UiPath.Server.Configuration.OData.UploadPackage | Uploads a new package or a new version of an existing package. The content of the package is sent as a .nupkg file embedded in the HTTP request.
*LicensesNamedUserApi* | [**licenses_named_user_get_licenses_named_user_by_robottype**](docs/LicensesNamedUserApi.md#licenses_named_user_get_licenses_named_user_by_robottype) | **GET** /odata/LicensesNamedUser/UiPath.Server.Configuration.OData.GetLicensesNamedUser(robotType&#x3D;{robotType}) | Gets named-user licenses.
*LicensesRuntimeApi* | [**licenses_runtime_get_licenses_runtime_by_robottype**](docs/LicensesRuntimeApi.md#licenses_runtime_get_licenses_runtime_by_robottype) | **GET** /odata/LicensesRuntime/UiPath.Server.Configuration.OData.GetLicensesRuntime(robotType&#x3D;{robotType}) | Gets runtime licenses.
*LicensesRuntimeApi* | [**licenses_runtime_toggle_enabled_by_key**](docs/LicensesRuntimeApi.md#licenses_runtime_toggle_enabled_by_key) | **POST** /odata/LicensesRuntime({key})/UiPath.Server.Configuration.OData.ToggleEnabled | Toggles machine licensing on/off.
*LicensingApi* | [**licensing_acquire**](docs/LicensingApi.md#licensing_acquire) | **POST** /api/Licensing/Acquire | Acquire license units
*LicensingApi* | [**licensing_release**](docs/LicensingApi.md#licensing_release) | **PUT** /api/Licensing/Release | Release acquired license units
*LogsApi* | [**logs_post**](docs/LogsApi.md#logs_post) | **POST** /api/Logs | Inserts a log entry with a specified message in JSON format.
*LogsApi* | [**logs_submit_logs**](docs/LogsApi.md#logs_submit_logs) | **POST** /api/Logs/SubmitLogs | Inserts a collection of log entries, each in a specific JSON format.
*MachinesApi* | [**machines_delete_bulk**](docs/MachinesApi.md#machines_delete_bulk) | **POST** /odata/Machines/UiPath.Server.Configuration.OData.DeleteBulk | Deletes multiple machines based on their keys.
*MachinesApi* | [**machines_delete_by_id**](docs/MachinesApi.md#machines_delete_by_id) | **DELETE** /odata/Machines({key}) | Deletes a machine based on its key.
*MachinesApi* | [**machines_get**](docs/MachinesApi.md#machines_get) | **GET** /odata/Machines | Gets machines.
*MachinesApi* | [**machines_get_assigned_machines_by_folderid**](docs/MachinesApi.md#machines_get_assigned_machines_by_folderid) | **GET** /odata/Machines/UiPath.Server.Configuration.OData.GetAssignedMachines(folderId&#x3D;{folderId}) | Gets machines assigned to folder and robot
*MachinesApi* | [**machines_get_by_id**](docs/MachinesApi.md#machines_get_by_id) | **GET** /odata/Machines({key}) | Gets a single machine based on its id.
*MachinesApi* | [**machines_get_runtimes_for_folder_by_folderid**](docs/MachinesApi.md#machines_get_runtimes_for_folder_by_folderid) | **GET** /odata/Machines/UiPath.Server.Configuration.OData.GetRuntimesForFolder(folderId&#x3D;{folderId}) | Gets runtimes for the specified folder
*MachinesApi* | [**machines_patch_by_id**](docs/MachinesApi.md#machines_patch_by_id) | **PATCH** /odata/Machines({key}) | Partially updates a machine.
*MachinesApi* | [**machines_post**](docs/MachinesApi.md#machines_post) | **POST** /odata/Machines | Creates a new machine.
*MachinesApi* | [**machines_put_by_id**](docs/MachinesApi.md#machines_put_by_id) | **PUT** /odata/Machines({key}) | Edits a machine based on its key.
*MaintenanceApi* | [**maintenance_end**](docs/MaintenanceApi.md#maintenance_end) | **POST** /api/Maintenance/End | Ends a maintenance window
*MaintenanceApi* | [**maintenance_get**](docs/MaintenanceApi.md#maintenance_get) | **GET** /api/Maintenance/Get | Gets the host admin logs.
*MaintenanceApi* | [**maintenance_start**](docs/MaintenanceApi.md#maintenance_start) | **POST** /api/Maintenance/Start | Starts a maintenance window
*OrganizationUnitsApi* | [**organization_units_delete_by_id**](docs/OrganizationUnitsApi.md#organization_units_delete_by_id) | **DELETE** /odata/OrganizationUnits({key}) | Deletes an organization unit.
*OrganizationUnitsApi* | [**organization_units_get**](docs/OrganizationUnitsApi.md#organization_units_get) | **GET** /odata/OrganizationUnits | Gets the organization units.
*OrganizationUnitsApi* | [**organization_units_get_by_id**](docs/OrganizationUnitsApi.md#organization_units_get_by_id) | **GET** /odata/OrganizationUnits({key}) | Gets an organization unit.
*OrganizationUnitsApi* | [**organization_units_get_user_ids_for_unit_by_key**](docs/OrganizationUnitsApi.md#organization_units_get_user_ids_for_unit_by_key) | **GET** /odata/OrganizationUnits/UiPath.Server.Configuration.OData.GetUserIdsForUnit(key&#x3D;{key}) | Returns a collection of all the ids of the users associated to an unit based on unit Id.
*OrganizationUnitsApi* | [**organization_units_get_users_for_unit_by_key**](docs/OrganizationUnitsApi.md#organization_units_get_users_for_unit_by_key) | **GET** /odata/OrganizationUnits/UiPath.Server.Configuration.OData.GetUsersForUnit(key&#x3D;{key}) | Returns a collection of all non robot users and, if no other sorting is provided, will place first those associated to an unit. Allows odata query options.
*OrganizationUnitsApi* | [**organization_units_post**](docs/OrganizationUnitsApi.md#organization_units_post) | **POST** /odata/OrganizationUnits | Creates an organization unit.
*OrganizationUnitsApi* | [**organization_units_put_by_id**](docs/OrganizationUnitsApi.md#organization_units_put_by_id) | **PUT** /odata/OrganizationUnits({key}) | Edits an organization unit.
*OrganizationUnitsApi* | [**organization_units_set_users_by_id**](docs/OrganizationUnitsApi.md#organization_units_set_users_by_id) | **POST** /odata/OrganizationUnits({key})/UiPath.Server.Configuration.OData.SetUsers | Associates a group of users with and dissociates another group of users from the given unit.
*PackageFeedsApi* | [**package_feeds_get_folder_feed**](docs/PackageFeedsApi.md#package_feeds_get_folder_feed) | **GET** /api/PackageFeeds/GetFolderFeed | Returns the feed id for a user assigned folder having specific feed
*PermissionsApi* | [**permissions_get**](docs/PermissionsApi.md#permissions_get) | **GET** /odata/Permissions | Gets permissions.
*PersonalWorkspacesApi* | [**personal_workspaces_convert_to_folder_by_id**](docs/PersonalWorkspacesApi.md#personal_workspaces_convert_to_folder_by_id) | **POST** /odata/PersonalWorkspaces({key})/UiPath.Server.Configuration.OData.ConvertToFolder | Converts a Personal Workspace to a standard Folder.
*PersonalWorkspacesApi* | [**personal_workspaces_get**](docs/PersonalWorkspacesApi.md#personal_workspaces_get) | **GET** /odata/PersonalWorkspaces | Gets Personal Workspaces.
*PersonalWorkspacesApi* | [**personal_workspaces_get_personal_workspace**](docs/PersonalWorkspacesApi.md#personal_workspaces_get_personal_workspace) | **GET** /odata/PersonalWorkspaces/UiPath.Server.Configuration.OData.GetPersonalWorkspace | Gets Personal Workspace for current User
*PersonalWorkspacesApi* | [**personal_workspaces_start_exploring_by_id**](docs/PersonalWorkspacesApi.md#personal_workspaces_start_exploring_by_id) | **POST** /odata/PersonalWorkspaces({key})/UiPath.Server.Configuration.OData.StartExploring | Assigns the current User to explore a Personal Workspace.
*PersonalWorkspacesApi* | [**personal_workspaces_stop_exploring_by_id**](docs/PersonalWorkspacesApi.md#personal_workspaces_stop_exploring_by_id) | **POST** /odata/PersonalWorkspaces({key})/UiPath.Server.Configuration.OData.StopExploring | Unassigns the current User from exploring a Personal Workspace.
*ProcessSchedulesApi* | [**process_schedules_activate_by_id**](docs/ProcessSchedulesApi.md#process_schedules_activate_by_id) | **POST** /odata/ProcessSchedules({key})/UiPath.Server.Configuration.OData.Activate | Activates a process schedule associated with a queue
*ProcessSchedulesApi* | [**process_schedules_delete_by_id**](docs/ProcessSchedulesApi.md#process_schedules_delete_by_id) | **DELETE** /odata/ProcessSchedules({key}) | Deletes a process schedule.
*ProcessSchedulesApi* | [**process_schedules_get**](docs/ProcessSchedulesApi.md#process_schedules_get) | **GET** /odata/ProcessSchedules | Gets the process schedules.
*ProcessSchedulesApi* | [**process_schedules_get_by_id**](docs/ProcessSchedulesApi.md#process_schedules_get_by_id) | **GET** /odata/ProcessSchedules({key}) | Gets a single process schedule based on its key.
*ProcessSchedulesApi* | [**process_schedules_get_robot_ids_for_schedule_by_key**](docs/ProcessSchedulesApi.md#process_schedules_get_robot_ids_for_schedule_by_key) | **GET** /odata/ProcessSchedules/UiPath.Server.Configuration.OData.GetRobotIdsForSchedule(key&#x3D;{key}) | Returns a collection of all the ids of the robots associated to an schedule based on schedule Id.
*ProcessSchedulesApi* | [**process_schedules_post**](docs/ProcessSchedulesApi.md#process_schedules_post) | **POST** /odata/ProcessSchedules | Creates a new process schedule.
*ProcessSchedulesApi* | [**process_schedules_put_by_id**](docs/ProcessSchedulesApi.md#process_schedules_put_by_id) | **PUT** /odata/ProcessSchedules({key}) | Edits a process schedule.
*ProcessSchedulesApi* | [**process_schedules_set_enabled**](docs/ProcessSchedulesApi.md#process_schedules_set_enabled) | **POST** /odata/ProcessSchedules/UiPath.Server.Configuration.OData.SetEnabled | Enables/disables a group of schedules.
*ProcessSchedulesApi* | [**process_schedules_validate_process_schedule**](docs/ProcessSchedulesApi.md#process_schedules_validate_process_schedule) | **POST** /odata/ProcessSchedules/UiPath.Server.Configuration.OData.ValidateProcessSchedule | Validates the input which would be used to create a process schedule.
*ProcessesApi* | [**processes_delete_by_id**](docs/ProcessesApi.md#processes_delete_by_id) | **DELETE** /odata/Processes({key}) | Deletes a package.
*ProcessesApi* | [**processes_download_package_by_key**](docs/ProcessesApi.md#processes_download_package_by_key) | **GET** /odata/Processes/UiPath.Server.Configuration.OData.DownloadPackage(key&#x3D;{key}) | Downloads the .nupkg file of a Package.
*ProcessesApi* | [**processes_get**](docs/ProcessesApi.md#processes_get) | **GET** /odata/Processes | Gets the processes.
*ProcessesApi* | [**processes_get_arguments_by_key**](docs/ProcessesApi.md#processes_get_arguments_by_key) | **GET** /odata/Processes/UiPath.Server.Configuration.OData.GetArguments(key&#x3D;{key}) | Get process parameters
*ProcessesApi* | [**processes_get_process_versions_by_processid**](docs/ProcessesApi.md#processes_get_process_versions_by_processid) | **GET** /odata/Processes/UiPath.Server.Configuration.OData.GetProcessVersions(processId&#x3D;{processId}) | Returns a collection of all available versions of a given process. Allows odata query options.
*ProcessesApi* | [**processes_set_arguments**](docs/ProcessesApi.md#processes_set_arguments) | **POST** /odata/Processes/UiPath.Server.Configuration.OData.SetArguments | Saves process arguments
*ProcessesApi* | [**processes_upload_package**](docs/ProcessesApi.md#processes_upload_package) | **POST** /odata/Processes/UiPath.Server.Configuration.OData.UploadPackage | Uploads a new package or a new version of an existing package. The content of the package is sent as a .nupkg file embedded in the HTTP request.
*QueueDefinitionsApi* | [**queue_definitions_delete_by_id**](docs/QueueDefinitionsApi.md#queue_definitions_delete_by_id) | **DELETE** /odata/QueueDefinitions({key}) | Deletes a queue based on its key.
*QueueDefinitionsApi* | [**queue_definitions_export_by_id**](docs/QueueDefinitionsApi.md#queue_definitions_export_by_id) | **POST** /odata/QueueDefinitions({key})/UiPathODataSvc.Export | Requests a CSV export of filtered items.
*QueueDefinitionsApi* | [**queue_definitions_get**](docs/QueueDefinitionsApi.md#queue_definitions_get) | **GET** /odata/QueueDefinitions | Gets the list of queue definitions.
*QueueDefinitionsApi* | [**queue_definitions_get_by_id**](docs/QueueDefinitionsApi.md#queue_definitions_get_by_id) | **GET** /odata/QueueDefinitions({key}) | Gets a single queue definition based on its Id.
*QueueDefinitionsApi* | [**queue_definitions_get_folders_for_queue_by_id**](docs/QueueDefinitionsApi.md#queue_definitions_get_folders_for_queue_by_id) | **GET** /odata/QueueDefinitions/UiPath.Server.Configuration.OData.GetFoldersForQueue(id&#x3D;{id}) | Get all accesible folders where the queue is shared, and the total count of folders where it is shared (including unaccessible folders).
*QueueDefinitionsApi* | [**queue_definitions_get_json_schema_definition_by_id_and_jsonschematype**](docs/QueueDefinitionsApi.md#queue_definitions_get_json_schema_definition_by_id_and_jsonschematype) | **GET** /odata/QueueDefinitions({key})/UiPathODataSvc.GetJsonSchemaDefinition(jsonSchemaType&#x3D;{jsonSchemaType}) | Gets a given queue item JSON schema as a .json file, based on queue definition id.
*QueueDefinitionsApi* | [**queue_definitions_get_queues_across_folders**](docs/QueueDefinitionsApi.md#queue_definitions_get_queues_across_folders) | **GET** /odata/QueueDefinitions/UiPath.Server.Configuration.OData.GetQueuesAcrossFolders | Get the queues from all the folders in which the current user has the Queues.View permission, except the ones in the excluded folder.
*QueueDefinitionsApi* | [**queue_definitions_post**](docs/QueueDefinitionsApi.md#queue_definitions_post) | **POST** /odata/QueueDefinitions | Creates a new queue.
*QueueDefinitionsApi* | [**queue_definitions_put_by_id**](docs/QueueDefinitionsApi.md#queue_definitions_put_by_id) | **PUT** /odata/QueueDefinitions({key}) | Edits a queue.
*QueueDefinitionsApi* | [**queue_definitions_share_to_folders**](docs/QueueDefinitionsApi.md#queue_definitions_share_to_folders) | **POST** /odata/QueueDefinitions/UiPath.Server.Configuration.OData.ShareToFolders | Makes the queue visible in the specified folders.
*QueueItemCommentsApi* | [**queue_item_comments_delete_by_id**](docs/QueueItemCommentsApi.md#queue_item_comments_delete_by_id) | **DELETE** /odata/QueueItemComments({key}) | Deletes a QueueItemComment.
*QueueItemCommentsApi* | [**queue_item_comments_get**](docs/QueueItemCommentsApi.md#queue_item_comments_get) | **GET** /odata/QueueItemComments | Gets the QueueItemComments.
*QueueItemCommentsApi* | [**queue_item_comments_get_by_id**](docs/QueueItemCommentsApi.md#queue_item_comments_get_by_id) | **GET** /odata/QueueItemComments({key}) | Gets a QueueItemComment by Id.
*QueueItemCommentsApi* | [**queue_item_comments_get_queue_item_comments_history_by_queueitemid**](docs/QueueItemCommentsApi.md#queue_item_comments_get_queue_item_comments_history_by_queueitemid) | **GET** /odata/QueueItemComments/UiPath.Server.Configuration.OData.GetQueueItemCommentsHistory(queueItemId&#x3D;{queueItemId}) | Returns a collection of Queue Item Comments associated to a Queue Item and all its related Queue Items.  A Queue Item is related to another if it was created as a retry of a failed Queue Item. They also share the same Key.
*QueueItemCommentsApi* | [**queue_item_comments_post**](docs/QueueItemCommentsApi.md#queue_item_comments_post) | **POST** /odata/QueueItemComments | Creates a QueueItemComment.
*QueueItemCommentsApi* | [**queue_item_comments_put_by_id**](docs/QueueItemCommentsApi.md#queue_item_comments_put_by_id) | **PUT** /odata/QueueItemComments({key}) | Updates a QueueItemComment
*QueueItemEventsApi* | [**queue_item_events_get**](docs/QueueItemEventsApi.md#queue_item_events_get) | **GET** /odata/QueueItemEvents | Gets the QueueItemEvents.
*QueueItemEventsApi* | [**queue_item_events_get_by_id**](docs/QueueItemEventsApi.md#queue_item_events_get_by_id) | **GET** /odata/QueueItemEvents({key}) | Gets a QueueItemEvent by Id.
*QueueItemEventsApi* | [**queue_item_events_get_queue_item_events_history_by_queueitemid**](docs/QueueItemEventsApi.md#queue_item_events_get_queue_item_events_history_by_queueitemid) | **GET** /odata/QueueItemEvents/UiPath.Server.Configuration.OData.GetQueueItemEventsHistory(queueItemId&#x3D;{queueItemId}) | Returns a collection of Queue Item Events associated to a Queue Item and all its related Queue Items.  A Queue Item is related to another if it was created as a retry of a failed Queue Item. They also share the same Key.
*QueueItemsApi* | [**queue_items_delete_bulk**](docs/QueueItemsApi.md#queue_items_delete_bulk) | **POST** /odata/QueueItems/UiPathODataSvc.DeleteBulk | Sets the given queue items&#39; status to Deleted.
*QueueItemsApi* | [**queue_items_delete_by_id**](docs/QueueItemsApi.md#queue_items_delete_by_id) | **DELETE** /odata/QueueItems({key}) | Deletes a queue item by Id.
*QueueItemsApi* | [**queue_items_get**](docs/QueueItemsApi.md#queue_items_get) | **GET** /odata/QueueItems | Gets a collection of queue items.
*QueueItemsApi* | [**queue_items_get_by_id**](docs/QueueItemsApi.md#queue_items_get_by_id) | **GET** /odata/QueueItems({key}) | Gets a queue item by Id.
*QueueItemsApi* | [**queue_items_get_item_last_retry_by_id**](docs/QueueItemsApi.md#queue_items_get_item_last_retry_by_id) | **GET** /odata/QueueItems({key})/UiPath.Server.Configuration.OData.GetItemLastRetry | Returns the last retry of a queue item.
*QueueItemsApi* | [**queue_items_get_item_processing_history_by_id**](docs/QueueItemsApi.md#queue_items_get_item_processing_history_by_id) | **GET** /odata/QueueItems({key})/UiPathODataSvc.GetItemProcessingHistory | Returns data about the processing history of the given queue item. Allows odata query options.
*QueueItemsApi* | [**queue_items_get_reviewers**](docs/QueueItemsApi.md#queue_items_get_reviewers) | **GET** /odata/QueueItems/UiPath.Server.Configuration.OData.GetReviewers | Returns a collection of users having the permission for Queue Items review. Allows odata query options.
*QueueItemsApi* | [**queue_items_put_by_id**](docs/QueueItemsApi.md#queue_items_put_by_id) | **PUT** /odata/QueueItems({key}) | Updates the QueueItem properties with the new values provided.
*QueueItemsApi* | [**queue_items_set_item_review_status**](docs/QueueItemsApi.md#queue_items_set_item_review_status) | **POST** /odata/QueueItems/UiPathODataSvc.SetItemReviewStatus | Updates the review status of the specified queue items to an indicated state.
*QueueItemsApi* | [**queue_items_set_item_reviewer**](docs/QueueItemsApi.md#queue_items_set_item_reviewer) | **POST** /odata/QueueItems/UiPathODataSvc.SetItemReviewer | Sets the reviewer for multiple queue items
*QueueItemsApi* | [**queue_items_set_transaction_progress_by_id**](docs/QueueItemsApi.md#queue_items_set_transaction_progress_by_id) | **POST** /odata/QueueItems({key})/UiPathODataSvc.SetTransactionProgress | Updates the progress field of a queue item with the status &#39;In Progress&#39;.
*QueueItemsApi* | [**queue_items_unset_item_reviewer**](docs/QueueItemsApi.md#queue_items_unset_item_reviewer) | **POST** /odata/QueueItems/UiPathODataSvc.UnsetItemReviewer | Unsets the reviewer for multiple queue items
*QueueProcessingRecordsApi* | [**queue_processing_records_retrieve_last_days_processing_records_by_daysno_and_queuedefinitionid**](docs/QueueProcessingRecordsApi.md#queue_processing_records_retrieve_last_days_processing_records_by_daysno_and_queuedefinitionid) | **GET** /odata/QueueProcessingRecords/UiPathODataSvc.RetrieveLastDaysProcessingRecords(daysNo&#x3D;{daysNo},queueDefinitionId&#x3D;{queueDefinitionId}) | Returns the computed processing status for a given queue in the last specified days.
*QueueProcessingRecordsApi* | [**queue_processing_records_retrieve_queues_processing_status**](docs/QueueProcessingRecordsApi.md#queue_processing_records_retrieve_queues_processing_status) | **GET** /odata/QueueProcessingRecords/UiPathODataSvc.RetrieveQueuesProcessingStatus | Returns the processing status for all queues. Allows odata query options.
*QueueRetentionApi* | [**queue_retention_delete_by_id**](docs/QueueRetentionApi.md#queue_retention_delete_by_id) | **DELETE** /odata/QueueRetention({key}) | 
*QueueRetentionApi* | [**queue_retention_get**](docs/QueueRetentionApi.md#queue_retention_get) | **GET** /odata/QueueRetention | 
*QueueRetentionApi* | [**queue_retention_get_by_id**](docs/QueueRetentionApi.md#queue_retention_get_by_id) | **GET** /odata/QueueRetention({key}) | 
*QueueRetentionApi* | [**queue_retention_put_by_id**](docs/QueueRetentionApi.md#queue_retention_put_by_id) | **PUT** /odata/QueueRetention({key}) | 
*QueuesApi* | [**queues_add_queue_item**](docs/QueuesApi.md#queues_add_queue_item) | **POST** /odata/Queues/UiPathODataSvc.AddQueueItem | Adds a new queue item.
*QueuesApi* | [**queues_bulk_add_queue_items**](docs/QueuesApi.md#queues_bulk_add_queue_items) | **POST** /odata/Queues/UiPathODataSvc.BulkAddQueueItems | Bulk adds queue items
*QueuesApi* | [**queues_set_transaction_result_by_id**](docs/QueuesApi.md#queues_set_transaction_result_by_id) | **POST** /odata/Queues({key})/UiPathODataSvc.SetTransactionResult | Sets the result of a transaction.
*QueuesApi* | [**queues_start_transaction**](docs/QueuesApi.md#queues_start_transaction) | **POST** /odata/Queues/UiPathODataSvc.StartTransaction | Starts a transaction.
*ReleaseRetentionApi* | [**release_retention_delete_by_id**](docs/ReleaseRetentionApi.md#release_retention_delete_by_id) | **DELETE** /odata/ReleaseRetention({key}) | 
*ReleaseRetentionApi* | [**release_retention_get**](docs/ReleaseRetentionApi.md#release_retention_get) | **GET** /odata/ReleaseRetention | 
*ReleaseRetentionApi* | [**release_retention_get_by_id**](docs/ReleaseRetentionApi.md#release_retention_get_by_id) | **GET** /odata/ReleaseRetention({key}) | 
*ReleaseRetentionApi* | [**release_retention_put_by_id**](docs/ReleaseRetentionApi.md#release_retention_put_by_id) | **PUT** /odata/ReleaseRetention({key}) | 
*ReleasesApi* | [**releases_delete_by_id**](docs/ReleasesApi.md#releases_delete_by_id) | **DELETE** /odata/Releases({key}) | Deletes a release.
*ReleasesApi* | [**releases_delete_by_key**](docs/ReleasesApi.md#releases_delete_by_key) | **DELETE** /api/Releases/DeleteByKey | 
*ReleasesApi* | [**releases_get**](docs/ReleasesApi.md#releases_get) | **GET** /odata/Releases | Gets multiple releases.
*ReleasesApi* | [**releases_get_by_id**](docs/ReleasesApi.md#releases_get_by_id) | **GET** /odata/Releases({key}) | Gets a release by id.
*ReleasesApi* | [**releases_patch_by_id**](docs/ReleasesApi.md#releases_patch_by_id) | **PATCH** /odata/Releases({key}) | Partially updates a release.
*ReleasesApi* | [**releases_post**](docs/ReleasesApi.md#releases_post) | **POST** /odata/Releases | Creates a new release.
*ReleasesApi* | [**releases_put_by_id**](docs/ReleasesApi.md#releases_put_by_id) | **PUT** /odata/Releases({key}) | Edits a release.
*ReleasesApi* | [**releases_rollback_to_previous_release_version_by_id**](docs/ReleasesApi.md#releases_rollback_to_previous_release_version_by_id) | **POST** /odata/Releases({key})/UiPath.Server.Configuration.OData.RollbackToPreviousReleaseVersion | Reverts the package versions for the given release to the last version it had before the current one.
*ReleasesApi* | [**releases_update_by_key**](docs/ReleasesApi.md#releases_update_by_key) | **POST** /odata/Releases/UiPath.Server.Configuration.OData.UpdateByKey | Updates the package entry point for the given release.
*ReleasesApi* | [**releases_update_to_latest_package_version_bulk**](docs/ReleasesApi.md#releases_update_to_latest_package_version_bulk) | **POST** /odata/Releases/UiPath.Server.Configuration.OData.UpdateToLatestPackageVersionBulk | Updates the package versions for the given releases to the latest available.
*ReleasesApi* | [**releases_update_to_latest_package_version_by_id**](docs/ReleasesApi.md#releases_update_to_latest_package_version_by_id) | **POST** /odata/Releases({key})/UiPath.Server.Configuration.OData.UpdateToLatestPackageVersion | Updates the package version for the given release to the latest available.
*ReleasesApi* | [**releases_update_to_specific_package_version_by_id**](docs/ReleasesApi.md#releases_update_to_specific_package_version_by_id) | **POST** /odata/Releases({key})/UiPath.Server.Configuration.OData.UpdateToSpecificPackageVersion | Updates the package version for the given release.
*RobotLogsApi* | [**robot_logs_export**](docs/RobotLogsApi.md#robot_logs_export) | **POST** /odata/RobotLogs/UiPath.Server.Configuration.OData.Export | Requests a CSV export of filtered items.
*RobotLogsApi* | [**robot_logs_get**](docs/RobotLogsApi.md#robot_logs_get) | **GET** /odata/RobotLogs | Gets the robot logs.
*RobotLogsApi* | [**robot_logs_get_total_count**](docs/RobotLogsApi.md#robot_logs_get_total_count) | **GET** /odata/RobotLogs/UiPath.Server.Configuration.OData.GetTotalCount | Gets the total count of robot logs.  This might be different than the size of the count returned by GetRobotLogs which  is limited by the max_result_window parameter for an Elasticsearch source.
*RobotsApi* | [**robots_convert_to_floating**](docs/RobotsApi.md#robots_convert_to_floating) | **POST** /odata/Robots/UiPath.Server.Configuration.OData.ConvertToFloating | Convert a Standard Attended Robot to a Floating Robot.
*RobotsApi* | [**robots_delete_bulk**](docs/RobotsApi.md#robots_delete_bulk) | **POST** /odata/Robots/UiPath.Server.Configuration.OData.DeleteBulk | Deletes multiple robots based on their keys.
*RobotsApi* | [**robots_delete_by_id**](docs/RobotsApi.md#robots_delete_by_id) | **DELETE** /odata/Robots({key}) | Deletes a robot based on its key.
*RobotsApi* | [**robots_find_all_across_folders**](docs/RobotsApi.md#robots_find_all_across_folders) | **GET** /odata/Robots/UiPath.Server.Configuration.OData.FindAllAcrossFolders | Get robots across all accessible folders.
*RobotsApi* | [**robots_get**](docs/RobotsApi.md#robots_get) | **GET** /odata/Robots | Gets robots.
*RobotsApi* | [**robots_get_by_id**](docs/RobotsApi.md#robots_get_by_id) | **GET** /odata/Robots({key}) | Gets a single robot based on its key.
*RobotsApi* | [**robots_get_configured_robots**](docs/RobotsApi.md#robots_get_configured_robots) | **GET** /odata/Robots/UiPath.Server.Configuration.OData.GetConfiguredRobots | Gets robots autoprovisioned from users
*RobotsApi* | [**robots_get_folder_robots_by_folderid_and_machineid**](docs/RobotsApi.md#robots_get_folder_robots_by_folderid_and_machineid) | **GET** /odata/Robots/UiPath.Server.Configuration.OData.GetFolderRobots(folderId&#x3D;{folderId},machineId&#x3D;{machineId}) | Get folder robots
*RobotsApi* | [**robots_get_machine_name_to_license_key_mappings**](docs/RobotsApi.md#robots_get_machine_name_to_license_key_mappings) | **GET** /odata/Robots/UiPath.Server.Configuration.OData.GetMachineNameToLicenseKeyMappings | Gets machine name to license key mapping.
*RobotsApi* | [**robots_get_robots_for_process_by_processid**](docs/RobotsApi.md#robots_get_robots_for_process_by_processid) | **GET** /odata/Robots/UiPath.Server.Configuration.OData.GetRobotsForProcess(processId&#x3D;{processId}) | Returns a collection of all robots that can execute the process with the provided Id.
*RobotsApi* | [**robots_get_robots_from_folder_by_folderid**](docs/RobotsApi.md#robots_get_robots_from_folder_by_folderid) | **GET** /odata/Robots/UiPath.Server.Configuration.OData.GetRobotsFromFolder(folderId&#x3D;{folderId}) | Gets all robots from a folder
*RobotsApi* | [**robots_get_usernames**](docs/RobotsApi.md#robots_get_usernames) | **GET** /odata/Robots/UiPath.Server.Configuration.OData.GetUsernames | Gets usernames.
*RobotsApi* | [**robots_patch_by_id**](docs/RobotsApi.md#robots_patch_by_id) | **PATCH** /odata/Robots({key}) | Partially updates a robot.
*RobotsApi* | [**robots_post**](docs/RobotsApi.md#robots_post) | **POST** /odata/Robots | Creates a new robot.
*RobotsApi* | [**robots_put_by_id**](docs/RobotsApi.md#robots_put_by_id) | **PUT** /odata/Robots({key}) | Edits a robot based on its key.
*RobotsApi* | [**robots_toggle_enabled_status**](docs/RobotsApi.md#robots_toggle_enabled_status) | **POST** /odata/Robots/UiPath.Server.Configuration.OData.ToggleEnabledStatus | Toggles the status of the robots (enabled/disabled)
*RolesApi* | [**roles_delete_by_id**](docs/RolesApi.md#roles_delete_by_id) | **DELETE** /odata/Roles({key}) | Deletes a role.
*RolesApi* | [**roles_get**](docs/RolesApi.md#roles_get) | **GET** /odata/Roles | Gets roles.
*RolesApi* | [**roles_get_by_id**](docs/RolesApi.md#roles_get_by_id) | **GET** /odata/Roles({key}) | Gets role based on its id.
*RolesApi* | [**roles_get_user_ids_for_role_by_key**](docs/RolesApi.md#roles_get_user_ids_for_role_by_key) | **GET** /odata/Roles/UiPath.Server.Configuration.OData.GetUserIdsForRole(key&#x3D;{key}) | Returns a collection of all the ids of the users associated to a role based on role Id.
*RolesApi* | [**roles_get_users_for_role_by_key**](docs/RolesApi.md#roles_get_users_for_role_by_key) | **GET** /odata/Roles/UiPath.Server.Configuration.OData.GetUsersForRole(key&#x3D;{key}) | Returns a collection of all users and, if no other sorting is provided, will place first those associated to a role.Allows odata query options.
*RolesApi* | [**roles_post**](docs/RolesApi.md#roles_post) | **POST** /odata/Roles | Creates a new role - Creating mixed roles will not be supported in 21.10
*RolesApi* | [**roles_put_by_id**](docs/RolesApi.md#roles_put_by_id) | **PUT** /odata/Roles({key}) | Edits a role.
*RolesApi* | [**roles_set_users_by_id**](docs/RolesApi.md#roles_set_users_by_id) | **POST** /odata/Roles({key})/UiPath.Server.Configuration.OData.SetUsers | Associates a group of users with and dissociates another group of users from the given role.
*SessionsApi* | [**sessions_delete_inactive_unattended_sessions**](docs/SessionsApi.md#sessions_delete_inactive_unattended_sessions) | **POST** /odata/Sessions/UiPath.Server.Configuration.OData.DeleteInactiveUnattendedSessions | Deletes disconnected or unresponsive sessions
*SessionsApi* | [**sessions_get**](docs/SessionsApi.md#sessions_get) | **GET** /odata/Sessions | Gets the sessions for the current folder.
*SessionsApi* | [**sessions_get_global_sessions**](docs/SessionsApi.md#sessions_get_global_sessions) | **GET** /odata/Sessions/UiPath.Server.Configuration.OData.GetGlobalSessions | Gets all the tenant sessions.
*SessionsApi* | [**sessions_get_machine_session_runtimes**](docs/SessionsApi.md#sessions_get_machine_session_runtimes) | **GET** /odata/Sessions/UiPath.Server.Configuration.OData.GetMachineSessionRuntimes | Gets machine runtime sessions
*SessionsApi* | [**sessions_get_machine_session_runtimes_by_folder_id**](docs/SessionsApi.md#sessions_get_machine_session_runtimes_by_folder_id) | **GET** /odata/Sessions/UiPath.Server.Configuration.OData.GetMachineSessionRuntimesByFolderId(folderId&#x3D;{folderId}) | Gets machine runtime sessions by folder id
*SessionsApi* | [**sessions_get_machine_sessions_by_key**](docs/SessionsApi.md#sessions_get_machine_sessions_by_key) | **GET** /odata/Sessions/UiPath.Server.Configuration.OData.GetMachineSessions(key&#x3D;{key}) | Get sessions for a machine
*SessionsApi* | [**sessions_get_usernames**](docs/SessionsApi.md#sessions_get_usernames) | **GET** /odata/Sessions/UiPath.Server.Configuration.OData.GetUsernames | Gets usernames.
*SessionsApi* | [**sessions_set_maintenance_mode**](docs/SessionsApi.md#sessions_set_maintenance_mode) | **POST** /odata/Sessions/UiPath.Server.Configuration.OData.SetMaintenanceMode | Sets the execution capabilities for a specified host
*SessionsApi* | [**sessions_toggle_machine_session_debug_mode_by_id**](docs/SessionsApi.md#sessions_toggle_machine_session_debug_mode_by_id) | **POST** /odata/Sessions({key})/UiPath.Server.Configuration.OData.ToggleMachineSessionDebugMode | Toggles the debug mode for the specified machine session
*SettingsApi* | [**settings_activate_license_offline**](docs/SettingsApi.md#settings_activate_license_offline) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.ActivateLicenseOffline | Uploads a new offline license activation.  The content of the license is sent as a file embedded in the HTTP request.
*SettingsApi* | [**settings_activate_license_online**](docs/SettingsApi.md#settings_activate_license_online) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.ActivateLicenseOnline | Activate the license for a specific tenant
*SettingsApi* | [**settings_deactivate_license_online**](docs/SettingsApi.md#settings_deactivate_license_online) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.DeactivateLicenseOnline | Deactivate the license for a specific tenant
*SettingsApi* | [**settings_delete_bulk**](docs/SettingsApi.md#settings_delete_bulk) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.DeleteBulk | Deletes values for the specified settings in the Tenant scope.
*SettingsApi* | [**settings_delete_license**](docs/SettingsApi.md#settings_delete_license) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.DeleteLicense | Removes the license
*SettingsApi* | [**settings_get**](docs/SettingsApi.md#settings_get) | **GET** /odata/Settings | Gets the settings.
*SettingsApi* | [**settings_get_activity_settings**](docs/SettingsApi.md#settings_get_activity_settings) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetActivitySettings | Returns Orchestrator settings used by activities
*SettingsApi* | [**settings_get_authentication_settings**](docs/SettingsApi.md#settings_get_authentication_settings) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetAuthenticationSettings | Gets the authentication settings
*SettingsApi* | [**settings_get_by_id**](docs/SettingsApi.md#settings_get_by_id) | **GET** /odata/Settings({key}) | Gets a settings value based on its key.
*SettingsApi* | [**settings_get_calendar**](docs/SettingsApi.md#settings_get_calendar) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetCalendar | Gets custom calendar, with excluded dates in UTC, for current tenant
*SettingsApi* | [**settings_get_connection_string**](docs/SettingsApi.md#settings_get_connection_string) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetConnectionString | Gets the connection string
*SettingsApi* | [**settings_get_deactivate_license_offline**](docs/SettingsApi.md#settings_get_deactivate_license_offline) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.GetDeactivateLicenseOffline | Deactivate the license offline for a specific tenant
*SettingsApi* | [**settings_get_execution_settings_configuration_by_scope**](docs/SettingsApi.md#settings_get_execution_settings_configuration_by_scope) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetExecutionSettingsConfiguration(scope&#x3D;{scope}) | Gets the execution settings configuration (display name, value type, etc.).  If scope is 0 (Global), the default values will be the initial ones. If scope is 1 (Robot), then  the default values will be the actual values set globally.  e.g., Resolution width  Assume it was set globally to 720.  Then within the config returned by this function, the default value for this setting will be:  - 0 for scope &#x3D; 0 and  - 720 for scope &#x3D; 1.
*SettingsApi* | [**settings_get_languages**](docs/SettingsApi.md#settings_get_languages) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetLanguages | Gets supported languages
*SettingsApi* | [**settings_get_license**](docs/SettingsApi.md#settings_get_license) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetLicense | Retrieves the current license information.
*SettingsApi* | [**settings_get_license_offline**](docs/SettingsApi.md#settings_get_license_offline) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.GetLicenseOffline | Create the offline activation request for a specific tenant
*SettingsApi* | [**settings_get_secure_store_configuration_by_storetypename**](docs/SettingsApi.md#settings_get_secure_store_configuration_by_storetypename) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetSecureStoreConfiguration(storeTypeName&#x3D;{storeTypeName}) | Gets the configuration format for a Secure store
*SettingsApi* | [**settings_get_timezones**](docs/SettingsApi.md#settings_get_timezones) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetTimezones | Gets timezones.
*SettingsApi* | [**settings_get_update_settings**](docs/SettingsApi.md#settings_get_update_settings) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetUpdateSettings | Gets the update settings
*SettingsApi* | [**settings_get_web_settings**](docs/SettingsApi.md#settings_get_web_settings) | **GET** /odata/Settings/UiPath.Server.Configuration.OData.GetWebSettings | Returns a collection of key value pairs representing settings used by Orchestrator web client.
*SettingsApi* | [**settings_put_by_id**](docs/SettingsApi.md#settings_put_by_id) | **PUT** /odata/Settings({key}) | Edits a setting.
*SettingsApi* | [**settings_set_calendar**](docs/SettingsApi.md#settings_set_calendar) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.SetCalendar | Sets custom calendar, with excluded dates in UTC, for current tenant
*SettingsApi* | [**settings_update_bulk**](docs/SettingsApi.md#settings_update_bulk) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.UpdateBulk | Updates the current settings.
*SettingsApi* | [**settings_update_license_online**](docs/SettingsApi.md#settings_update_license_online) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.UpdateLicenseOnline | Update the license for a specific tenant
*SettingsApi* | [**settings_update_user_setting**](docs/SettingsApi.md#settings_update_user_setting) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.UpdateUserSetting | Edits a user setting.
*SettingsApi* | [**settings_upload_license**](docs/SettingsApi.md#settings_upload_license) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.UploadLicense | Uploads a new license file that was previously generated with Regutil. The content of the license is sent as a file embedded in the HTTP request.
*SettingsApi* | [**settings_verify_smtp_setting**](docs/SettingsApi.md#settings_verify_smtp_setting) | **POST** /odata/Settings/UiPath.Server.Configuration.OData.VerifySmtpSetting | Verify whether the given SMTP settings are correct or not by sending an email to a recipient.
*StatsApi* | [**stats_get_consumption_license_stats**](docs/StatsApi.md#stats_get_consumption_license_stats) | **GET** /api/Stats/GetConsumptionLicenseStats | Gets the consumption licensing usage statistics
*StatsApi* | [**stats_get_count_stats**](docs/StatsApi.md#stats_get_count_stats) | **GET** /api/Stats/GetCountStats | Gets the total number of various entities registered in Orchestrator
*StatsApi* | [**stats_get_jobs_stats**](docs/StatsApi.md#stats_get_jobs_stats) | **GET** /api/Stats/GetJobsStats | Gets the total number of jobs aggregated by Job State
*StatsApi* | [**stats_get_license_stats**](docs/StatsApi.md#stats_get_license_stats) | **GET** /api/Stats/GetLicenseStats | Gets the licensing usage statistics
*StatsApi* | [**stats_get_sessions_stats**](docs/StatsApi.md#stats_get_sessions_stats) | **GET** /api/Stats/GetSessionsStats | Gets the total number of robots aggregated by Robot State
*StatusApi* | [**status_get**](docs/StatusApi.md#status_get) | **GET** /api/Status/Get | Returns whether the current endpoint should be serving traffic
*StatusApi* | [**status_verify_host_availibility**](docs/StatusApi.md#status_verify_host_availibility) | **GET** /api/Status/VerifyHostAvailibility | 
*TaskActivitiesApi* | [**task_activities_get_by_task_id**](docs/TaskActivitiesApi.md#task_activities_get_by_task_id) | **GET** /odata/TaskActivities/UiPath.Server.Configuration.OData.GetByTaskId(taskId&#x3D;{taskId}) | Gets Task Activities for a Task
*TaskCatalogsApi* | [**task_catalogs_create_task_catalog**](docs/TaskCatalogsApi.md#task_catalogs_create_task_catalog) | **POST** /odata/TaskCatalogs/UiPath.Server.Configuration.OData.CreateTaskCatalog | Creates a new Task Catalog.
*TaskCatalogsApi* | [**task_catalogs_delete_by_id**](docs/TaskCatalogsApi.md#task_catalogs_delete_by_id) | **DELETE** /odata/TaskCatalogs({key}) | Deletes Task Catalog.
*TaskCatalogsApi* | [**task_catalogs_get**](docs/TaskCatalogsApi.md#task_catalogs_get) | **GET** /odata/TaskCatalogs | Gets Task Catalog objects with the given OData queries.
*TaskCatalogsApi* | [**task_catalogs_get_by_id**](docs/TaskCatalogsApi.md#task_catalogs_get_by_id) | **GET** /odata/TaskCatalogs({key}) | Gets a Task Catalog item by Id.
*TaskCatalogsApi* | [**task_catalogs_get_folders_for_task_catalog_by_id**](docs/TaskCatalogsApi.md#task_catalogs_get_folders_for_task_catalog_by_id) | **GET** /odata/TaskCatalogs/UiPath.Server.Configuration.OData.GetFoldersForTaskCatalog(id&#x3D;{id}) | Get all accessible folders where the task catalog is shared, and the total count of folders where it is shared (including unaccessible folders).
*TaskCatalogsApi* | [**task_catalogs_get_task_catalog_extended_details_by_taskcatalogid**](docs/TaskCatalogsApi.md#task_catalogs_get_task_catalog_extended_details_by_taskcatalogid) | **GET** /odata/TaskCatalogs/UiPath.Server.Configuration.OData.GetTaskCatalogExtendedDetails(taskCatalogId&#x3D;{taskCatalogId}) | Validates task catalog deletion request.
*TaskCatalogsApi* | [**task_catalogs_get_task_catalogs_from_folders_with_permissions**](docs/TaskCatalogsApi.md#task_catalogs_get_task_catalogs_from_folders_with_permissions) | **GET** /odata/TaskCatalogs/UiPath.Server.Configuration.OData.GetTaskCatalogsFromFoldersWithPermissions | Gets Task Catalogs across folders having given permission with the given OData queries .
*TaskCatalogsApi* | [**task_catalogs_share_to_folders**](docs/TaskCatalogsApi.md#task_catalogs_share_to_folders) | **POST** /odata/TaskCatalogs/UiPath.Server.Configuration.OData.ShareToFolders | Makes the task catalogs visible in the specified folders.
*TaskCatalogsApi* | [**task_catalogs_update_task_catalog_by_id**](docs/TaskCatalogsApi.md#task_catalogs_update_task_catalog_by_id) | **POST** /odata/TaskCatalogs({key})/UiPath.Server.Configuration.OData.UpdateTaskCatalog | Updates Task Catalog.
*TaskDefinitionsApi* | [**task_definitions_create_task_definition**](docs/TaskDefinitionsApi.md#task_definitions_create_task_definition) | **POST** /odata/TaskDefinitions/UiPath.Server.Configuration.OData.CreateTaskDefinition | Creates a new Task Definition.
*TaskDefinitionsApi* | [**task_definitions_delete_by_id**](docs/TaskDefinitionsApi.md#task_definitions_delete_by_id) | **DELETE** /odata/TaskDefinitions({key}) | Deletes Task Defintion/Version.
*TaskDefinitionsApi* | [**task_definitions_get**](docs/TaskDefinitionsApi.md#task_definitions_get) | **GET** /odata/TaskDefinitions | Gets Task Definition objects with the given OData queries.
*TaskDefinitionsApi* | [**task_definitions_get_by_id**](docs/TaskDefinitionsApi.md#task_definitions_get_by_id) | **GET** /odata/TaskDefinitions({key}) | Gets a Task Definition item by Id.
*TaskDefinitionsApi* | [**task_definitions_get_task_definition_versions_by_id**](docs/TaskDefinitionsApi.md#task_definitions_get_task_definition_versions_by_id) | **GET** /odata/TaskDefinitions/UiPath.Server.Configuration.OData.GetTaskDefinitionVersions(id&#x3D;{id}) | Get all versions of Task Definition.
*TaskDefinitionsApi* | [**task_definitions_update_task_definition_by_id**](docs/TaskDefinitionsApi.md#task_definitions_update_task_definition_by_id) | **POST** /odata/TaskDefinitions({key})/UiPath.Server.Configuration.OData.UpdateTaskDefinition | Updates Task Definition.
*TaskFormsApi* | [**task_forms_bulk_complete_tasks**](docs/TaskFormsApi.md#task_forms_bulk_complete_tasks) | **POST** /forms/TaskForms/BulkCompleteTasks | Bulk Complete the task by merging form data and action taken
*TaskFormsApi* | [**task_forms_bulk_update_tasks**](docs/TaskFormsApi.md#task_forms_bulk_update_tasks) | **PUT** /forms/TaskForms/BulkUpdateTasks | Bulk Update Task data by merging data.
*TaskFormsApi* | [**task_forms_complete_task**](docs/TaskFormsApi.md#task_forms_complete_task) | **POST** /forms/TaskForms/CompleteTask | Complete the task by saving form data and action taken
*TaskFormsApi* | [**task_forms_create_form_task**](docs/TaskFormsApi.md#task_forms_create_form_task) | **POST** /forms/TaskForms/CreateFormTask | Creates a new Form Task.
*TaskFormsApi* | [**task_forms_get_task_data_by_id**](docs/TaskFormsApi.md#task_forms_get_task_data_by_id) | **GET** /forms/TaskForms/GetTaskDataById | Returns task data dto
*TaskFormsApi* | [**task_forms_get_task_form_by_id**](docs/TaskFormsApi.md#task_forms_get_task_form_by_id) | **GET** /forms/TaskForms/GetTaskFormById | Returns form dto to render task form
*TaskFormsApi* | [**task_forms_save_and_reassign_task**](docs/TaskFormsApi.md#task_forms_save_and_reassign_task) | **POST** /forms/TaskForms/SaveAndReassignTask | Save changes done by the current user and Reassign Task to another user
*TaskFormsApi* | [**task_forms_save_task_data**](docs/TaskFormsApi.md#task_forms_save_task_data) | **PUT** /forms/TaskForms/SaveTaskData | Save task data
*TaskNotesApi* | [**task_notes_create_task_note**](docs/TaskNotesApi.md#task_notes_create_task_note) | **POST** /odata/TaskNotes/UiPath.Server.Configuration.OData.CreateTaskNote | Adds a task note.
*TaskNotesApi* | [**task_notes_get_by_task_id**](docs/TaskNotesApi.md#task_notes_get_by_task_id) | **GET** /odata/TaskNotes/UiPath.Server.Configuration.OData.GetByTaskId(taskId&#x3D;{taskId}) | Gets Task Notes for a Task
*TaskRetentionApi* | [**task_retention_delete_by_id**](docs/TaskRetentionApi.md#task_retention_delete_by_id) | **DELETE** /odata/TaskRetention({key}) | 
*TaskRetentionApi* | [**task_retention_get**](docs/TaskRetentionApi.md#task_retention_get) | **GET** /odata/TaskRetention | 
*TaskRetentionApi* | [**task_retention_get_by_id**](docs/TaskRetentionApi.md#task_retention_get_by_id) | **GET** /odata/TaskRetention({key}) | 
*TaskRetentionApi* | [**task_retention_put_by_id**](docs/TaskRetentionApi.md#task_retention_put_by_id) | **PUT** /odata/TaskRetention({key}) | 
*TasksApi* | [**tasks_assign_tasks**](docs/TasksApi.md#tasks_assign_tasks) | **POST** /odata/Tasks/UiPath.Server.Configuration.OData.AssignTasks | Assigns the tasks to given users.
*TasksApi* | [**tasks_delete_tasks**](docs/TasksApi.md#tasks_delete_tasks) | **POST** /odata/Tasks/UiPath.Server.Configuration.OData.DeleteTasks | Deletes the tasks.
*TasksApi* | [**tasks_edit_task_metadata**](docs/TasksApi.md#tasks_edit_task_metadata) | **POST** /odata/Tasks/UiPath.Server.Configuration.OData.EditTaskMetadata | Edits the metadata of a task
*TasksApi* | [**tasks_get**](docs/TasksApi.md#tasks_get) | **GET** /odata/Tasks | Gets Task objects from classic folders with the given OData queries.
*TasksApi* | [**tasks_get_by_id**](docs/TasksApi.md#tasks_get_by_id) | **GET** /odata/Tasks({key}) | Gets a Task with the given primary key.
*TasksApi* | [**tasks_get_task_permissions**](docs/TasksApi.md#tasks_get_task_permissions) | **GET** /odata/Tasks/UiPath.Server.Configuration.OData.GetTaskPermissions | Gets all the tasks related permissions for the logged in user on the folder in session
*TasksApi* | [**tasks_get_task_users_by_organizationunitid**](docs/TasksApi.md#tasks_get_task_users_by_organizationunitid) | **GET** /odata/Tasks/UiPath.Server.Configuration.OData.GetTaskUsers(organizationUnitId&#x3D;{organizationUnitId}) | Gets users in given Organization Unit, who have Tasks.View and Tasks.Edit permissions
*TasksApi* | [**tasks_get_tasks_across_folders**](docs/TasksApi.md#tasks_get_tasks_across_folders) | **GET** /odata/Tasks/UiPath.Server.Configuration.OData.GetTasksAcrossFolders | Gets Task objects across folders (including Modern folders) with the given OData queries.
*TasksApi* | [**tasks_get_tasks_across_folders_for_admin**](docs/TasksApi.md#tasks_get_tasks_across_folders_for_admin) | **GET** /odata/Tasks/UiPath.Server.Configuration.OData.GetTasksAcrossFoldersForAdmin | Gets Task objects across folders (including Modern folders) where the current user has task admin permissions, with the given OData query options
*TasksApi* | [**tasks_reassign_tasks**](docs/TasksApi.md#tasks_reassign_tasks) | **POST** /odata/Tasks/UiPath.Server.Configuration.OData.ReassignTasks | Reassigns the tasks to given users.
*TasksApi* | [**tasks_unassign_tasks**](docs/TasksApi.md#tasks_unassign_tasks) | **POST** /odata/Tasks/UiPath.Server.Configuration.OData.UnassignTasks | Unassigns the tasks from the users.
*TenantsApi* | [**tenants_delete_by_id**](docs/TenantsApi.md#tenants_delete_by_id) | **DELETE** /odata/Tenants({key}) | Deletes a tenant based on its id.
*TenantsApi* | [**tenants_get**](docs/TenantsApi.md#tenants_get) | **GET** /odata/Tenants | Gets tenants.
*TenantsApi* | [**tenants_get_by_id**](docs/TenantsApi.md#tenants_get_by_id) | **GET** /odata/Tenants({key}) | Gets a single tenant based on its id.
*TenantsApi* | [**tenants_patch_by_id**](docs/TenantsApi.md#tenants_patch_by_id) | **PATCH** /odata/Tenants({key}) | Partially updates a tenant
*TenantsApi* | [**tenants_post**](docs/TenantsApi.md#tenants_post) | **POST** /odata/Tenants | Creates a tenant.
*TenantsApi* | [**tenants_set_active**](docs/TenantsApi.md#tenants_set_active) | **POST** /odata/Tenants/UiPath.Server.Configuration.OData.SetActive | Toggles the active status of tenants
*TestAutomationApi* | [**test_automation_cancel_test_case_execution**](docs/TestAutomationApi.md#test_automation_cancel_test_case_execution) | **POST** /api/TestAutomation/CancelTestCaseExecution | Cancels the specified test case execution.
*TestAutomationApi* | [**test_automation_cancel_test_set_execution**](docs/TestAutomationApi.md#test_automation_cancel_test_set_execution) | **POST** /api/TestAutomation/CancelTestSetExecution | Cancels the specified test set execution.
*TestAutomationApi* | [**test_automation_create_test_set_for_release_version**](docs/TestAutomationApi.md#test_automation_create_test_set_for_release_version) | **POST** /api/TestAutomation/CreateTestSetForReleaseVersion | This will create a test set with source type API.This endpoint it is supposed to be used by API integration.
*TestAutomationApi* | [**test_automation_get_assertion_screenshot**](docs/TestAutomationApi.md#test_automation_get_assertion_screenshot) | **GET** /api/TestAutomation/GetAssertionScreenshot | Get the screenshot for the specified test case assertion.
*TestAutomationApi* | [**test_automation_get_package_info_by_test_case_unique_id**](docs/TestAutomationApi.md#test_automation_get_package_info_by_test_case_unique_id) | **GET** /api/TestAutomation/GetPackageInfoByTestCaseUniqueId | Get the package identifier and the latest version for the specified test case.
*TestAutomationApi* | [**test_automation_get_releases_for_package_version**](docs/TestAutomationApi.md#test_automation_get_releases_for_package_version) | **GET** /api/TestAutomation/GetReleasesForPackageVersion | This will list all the processes filtered by package identifier and version cross-folder when no current folder is sent by header.
*TestAutomationApi* | [**test_automation_get_test_case_execution_attachment**](docs/TestAutomationApi.md#test_automation_get_test_case_execution_attachment) | **GET** /api/TestAutomation/GetTestCaseExecutionAttachment | Get the attachment for the specified test case execution attachment.
*TestAutomationApi* | [**test_automation_get_test_case_execution_attachments**](docs/TestAutomationApi.md#test_automation_get_test_case_execution_attachments) | **POST** /api/TestAutomation/GetTestCaseExecutionAttachments | This will list all test case execution attachments filtered by identifier and tags
*TestAutomationApi* | [**test_automation_get_test_set_execution_attachment**](docs/TestAutomationApi.md#test_automation_get_test_set_execution_attachment) | **GET** /api/TestAutomation/GetTestSetExecutionAttachment | Get the attachment for the specified test set execution attachment.
*TestAutomationApi* | [**test_automation_get_test_set_execution_attachments**](docs/TestAutomationApi.md#test_automation_get_test_set_execution_attachments) | **POST** /api/TestAutomation/GetTestSetExecutionAttachments | This will list all test set execution attachments filtered by identifier and tags
*TestAutomationApi* | [**test_automation_reexecute_test_cases**](docs/TestAutomationApi.md#test_automation_reexecute_test_cases) | **POST** /api/TestAutomation/ReexecuteTestCases | Re-execute the specified test case executions within the same test set execution.
*TestAutomationApi* | [**test_automation_start_test_set_execution**](docs/TestAutomationApi.md#test_automation_start_test_set_execution) | **POST** /api/TestAutomation/StartTestSetExecution | Start a test set execution.
*TestAutomationApi* | [**test_automation_start_test_set_execution_with_options**](docs/TestAutomationApi.md#test_automation_start_test_set_execution_with_options) | **POST** /api/TestAutomation/StartTestSetExecutionWithOptions | Start a test set execution with additional options.
*TestCaseDefinitionsApi* | [**test_case_definitions_get**](docs/TestCaseDefinitionsApi.md#test_case_definitions_get) | **GET** /odata/TestCaseDefinitions | Returns a list of Test Case Definitions
*TestCaseExecutionsApi* | [**test_case_executions_get**](docs/TestCaseExecutionsApi.md#test_case_executions_get) | **GET** /odata/TestCaseExecutions | Returns a list of Test Case Executions
*TestCaseExecutionsApi* | [**test_case_executions_get_by_id**](docs/TestCaseExecutionsApi.md#test_case_executions_get_by_id) | **GET** /odata/TestCaseExecutions({key}) | Return a specific Test Case Execution identified by key
*TestDataQueueActionsApi* | [**test_data_queue_actions_add_item**](docs/TestDataQueueActionsApi.md#test_data_queue_actions_add_item) | **POST** /api/TestDataQueueActions/AddItem | Add a new test data queue item
*TestDataQueueActionsApi* | [**test_data_queue_actions_bulk_add_items**](docs/TestDataQueueActionsApi.md#test_data_queue_actions_bulk_add_items) | **POST** /api/TestDataQueueActions/BulkAddItems | Bulk adds an array of data queue items
*TestDataQueueActionsApi* | [**test_data_queue_actions_delete_all_items**](docs/TestDataQueueActionsApi.md#test_data_queue_actions_delete_all_items) | **DELETE** /api/TestDataQueueActions/DeleteAllItems | Delete all items from a test data queue
*TestDataQueueActionsApi* | [**test_data_queue_actions_delete_items**](docs/TestDataQueueActionsApi.md#test_data_queue_actions_delete_items) | **DELETE** /api/TestDataQueueActions/DeleteItems | Delete specific test data queue items
*TestDataQueueActionsApi* | [**test_data_queue_actions_get_next_item**](docs/TestDataQueueActionsApi.md#test_data_queue_actions_get_next_item) | **POST** /api/TestDataQueueActions/GetNextItem | Get the next unconsumed test data queue item
*TestDataQueueActionsApi* | [**test_data_queue_actions_set_all_items_consumed**](docs/TestDataQueueActionsApi.md#test_data_queue_actions_set_all_items_consumed) | **POST** /api/TestDataQueueActions/SetAllItemsConsumed | Set the IsConsumed flag for all items from a test data queue
*TestDataQueueActionsApi* | [**test_data_queue_actions_set_items_consumed**](docs/TestDataQueueActionsApi.md#test_data_queue_actions_set_items_consumed) | **POST** /api/TestDataQueueActions/SetItemsConsumed | Set the IsConsumed flag for specific test data queue items
*TestDataQueueItemsApi* | [**test_data_queue_items_get**](docs/TestDataQueueItemsApi.md#test_data_queue_items_get) | **GET** /odata/TestDataQueueItems | Return a list of test data queue items
*TestDataQueueItemsApi* | [**test_data_queue_items_get_by_id**](docs/TestDataQueueItemsApi.md#test_data_queue_items_get_by_id) | **GET** /odata/TestDataQueueItems({key}) | Return a specific test data queue item identified by key
*TestDataQueuesApi* | [**test_data_queues_delete_by_id**](docs/TestDataQueuesApi.md#test_data_queues_delete_by_id) | **DELETE** /odata/TestDataQueues({key}) | Delete an existing test data queue
*TestDataQueuesApi* | [**test_data_queues_get**](docs/TestDataQueuesApi.md#test_data_queues_get) | **GET** /odata/TestDataQueues | Return a list of test data queues
*TestDataQueuesApi* | [**test_data_queues_get_by_id**](docs/TestDataQueuesApi.md#test_data_queues_get_by_id) | **GET** /odata/TestDataQueues({key}) | Return a specific test data queue identified by key
*TestDataQueuesApi* | [**test_data_queues_post**](docs/TestDataQueuesApi.md#test_data_queues_post) | **POST** /odata/TestDataQueues | Create a new test data queue
*TestDataQueuesApi* | [**test_data_queues_put_by_id**](docs/TestDataQueuesApi.md#test_data_queues_put_by_id) | **PUT** /odata/TestDataQueues({key}) | Update an existing test data queue
*TestSetExecutionsApi* | [**test_set_executions_get**](docs/TestSetExecutionsApi.md#test_set_executions_get) | **GET** /odata/TestSetExecutions | Returns a list of Test Set Executions cross-folder when no current folder is sent by header.  It will return Test Set Executions from folder where current user has TestSetExecutionsView.  If there is none, will return forbidden.
*TestSetExecutionsApi* | [**test_set_executions_get_by_id**](docs/TestSetExecutionsApi.md#test_set_executions_get_by_id) | **GET** /odata/TestSetExecutions({key}) | Return a specific Test Set Execution identified by key
*TestSetSchedulesApi* | [**test_set_schedules_delete_by_id**](docs/TestSetSchedulesApi.md#test_set_schedules_delete_by_id) | **DELETE** /odata/TestSetSchedules({key}) | Delete an existing test set execution schedule
*TestSetSchedulesApi* | [**test_set_schedules_get**](docs/TestSetSchedulesApi.md#test_set_schedules_get) | **GET** /odata/TestSetSchedules | Returns a list of test set execution schedules
*TestSetSchedulesApi* | [**test_set_schedules_get_by_id**](docs/TestSetSchedulesApi.md#test_set_schedules_get_by_id) | **GET** /odata/TestSetSchedules({key}) | Return a specific test set execution schedule identified by key
*TestSetSchedulesApi* | [**test_set_schedules_post**](docs/TestSetSchedulesApi.md#test_set_schedules_post) | **POST** /odata/TestSetSchedules | Creates a new test set execution schedule
*TestSetSchedulesApi* | [**test_set_schedules_put_by_id**](docs/TestSetSchedulesApi.md#test_set_schedules_put_by_id) | **PUT** /odata/TestSetSchedules({key}) | Update an existing test set execution schedule
*TestSetSchedulesApi* | [**test_set_schedules_set_enabled**](docs/TestSetSchedulesApi.md#test_set_schedules_set_enabled) | **POST** /odata/TestSetSchedules/UiPath.Server.Configuration.OData.SetEnabled | Enables / disables a list of test set execution schedules.
*TestSetsApi* | [**test_sets_delete_by_id**](docs/TestSetsApi.md#test_sets_delete_by_id) | **DELETE** /odata/TestSets({key}) | Delete a test set
*TestSetsApi* | [**test_sets_get**](docs/TestSetsApi.md#test_sets_get) | **GET** /odata/TestSets | Returns a list of Test Sets cross-folder when no current folder is sent by header.  It will return Test Sets from folder where current user has TestSetsView.  If there is none, will return forbidden.
*TestSetsApi* | [**test_sets_get_by_id**](docs/TestSetsApi.md#test_sets_get_by_id) | **GET** /odata/TestSets({key}) | Return a specific Test Set identified by key
*TestSetsApi* | [**test_sets_post**](docs/TestSetsApi.md#test_sets_post) | **POST** /odata/TestSets | Creates a new Test Set
*TestSetsApi* | [**test_sets_put_by_id**](docs/TestSetsApi.md#test_sets_put_by_id) | **PUT** /odata/TestSets({key}) | Update an existing Test Set
*TranslationsApi* | [**translations_get_translations**](docs/TranslationsApi.md#translations_get_translations) | **GET** /api/Translations/GetTranslations | Returns a json with translation resources
*UsersApi* | [**users_assign_roles_by_id**](docs/UsersApi.md#users_assign_roles_by_id) | **POST** /odata/Users({key})/UiPath.Server.Configuration.OData.AssignRoles | 
*UsersApi* | [**users_change_culture**](docs/UsersApi.md#users_change_culture) | **POST** /odata/Users/UiPath.Server.Configuration.OData.ChangeCulture | Changes the culture for the current user
*UsersApi* | [**users_change_user_culture_by_id**](docs/UsersApi.md#users_change_user_culture_by_id) | **POST** /odata/Users({key})/UiPath.Server.Configuration.OData.ChangeUserCulture | Changes the culture for the specified user
*UsersApi* | [**users_delete_by_id**](docs/UsersApi.md#users_delete_by_id) | **DELETE** /odata/Users({key}) | Deletes a user.
*UsersApi* | [**users_get**](docs/UsersApi.md#users_get) | **GET** /odata/Users | Gets users.
*UsersApi* | [**users_get_by_id**](docs/UsersApi.md#users_get_by_id) | **GET** /odata/Users({key}) | Gets a user based on its id.
*UsersApi* | [**users_get_current_permissions**](docs/UsersApi.md#users_get_current_permissions) | **GET** /odata/Users/UiPath.Server.Configuration.OData.GetCurrentPermissions | Returns a user permission collection containing data about the current user and all the permissions it has.
*UsersApi* | [**users_get_current_user**](docs/UsersApi.md#users_get_current_user) | **GET** /odata/Users/UiPath.Server.Configuration.OData.GetCurrentUser | Returns details about the user currently logged into Orchestrator.
*UsersApi* | [**users_patch_by_id**](docs/UsersApi.md#users_patch_by_id) | **PATCH** /odata/Users({key}) | Partially updates a user.  Cannot update roles or organization units via this endpoint.
*UsersApi* | [**users_post**](docs/UsersApi.md#users_post) | **POST** /odata/Users | Creates a new user.
*UsersApi* | [**users_put_by_id**](docs/UsersApi.md#users_put_by_id) | **PUT** /odata/Users({key}) | Edits a user.
*UsersApi* | [**users_set_active_by_id**](docs/UsersApi.md#users_set_active_by_id) | **POST** /odata/Users({key})/UiPath.Server.Configuration.OData.SetActive | Activate or deactivate a user
*UsersApi* | [**users_toggle_organization_unit_by_id**](docs/UsersApi.md#users_toggle_organization_unit_by_id) | **POST** /odata/Users({key})/UiPath.Server.Configuration.OData.ToggleOrganizationUnit | Associates/dissociates the given user with/from an organization unit based on toggle parameter.
*UsersApi* | [**users_toggle_role_by_id**](docs/UsersApi.md#users_toggle_role_by_id) | **POST** /odata/Users({key})/UiPath.Server.Configuration.OData.ToggleRole | Associates/dissociates the given user with/from a role based on toggle parameter.
*UsersApi* | [**users_validate_by_userids**](docs/UsersApi.md#users_validate_by_userids) | **GET** /odata/Users/UiPath.Server.Configuration.OData.Validate(userIds&#x3D;[{userIds}]) | Validates if the robots for the given users are busy
*WebhooksApi* | [**webhooks_delete_by_id**](docs/WebhooksApi.md#webhooks_delete_by_id) | **DELETE** /odata/Webhooks({key}) | Delete a webhook subscription
*WebhooksApi* | [**webhooks_get**](docs/WebhooksApi.md#webhooks_get) | **GET** /odata/Webhooks | List webhooks
*WebhooksApi* | [**webhooks_get_by_id**](docs/WebhooksApi.md#webhooks_get_by_id) | **GET** /odata/Webhooks({key}) | Gets a single webhook
*WebhooksApi* | [**webhooks_get_event_types**](docs/WebhooksApi.md#webhooks_get_event_types) | **GET** /odata/Webhooks/UiPath.Server.Configuration.OData.GetEventTypes | Gets the list of event types a webhook can subscribe to
*WebhooksApi* | [**webhooks_patch_by_id**](docs/WebhooksApi.md#webhooks_patch_by_id) | **PATCH** /odata/Webhooks({key}) | Patches a webhook
*WebhooksApi* | [**webhooks_ping_by_id**](docs/WebhooksApi.md#webhooks_ping_by_id) | **POST** /odata/Webhooks({key})/UiPath.Server.Configuration.OData.Ping | Sends a Ping request to webhook endpoint.  Used for testing connectivity and availability of target URL
*WebhooksApi* | [**webhooks_post**](docs/WebhooksApi.md#webhooks_post) | **POST** /odata/Webhooks | Create a new webhook subscription
*WebhooksApi* | [**webhooks_put_by_id**](docs/WebhooksApi.md#webhooks_put_by_id) | **PUT** /odata/Webhooks({key}) | Update an existing webhook subscription
*WebhooksApi* | [**webhooks_trigger_custom**](docs/WebhooksApi.md#webhooks_trigger_custom) | **POST** /odata/Webhooks/UiPath.Server.Configuration.OData.TriggerCustom | Triggers an event of type \&quot;custom\&quot;


## Documentation For Models

 - [AccessibleFoldersDto](docs/AccessibleFoldersDto.md)
 - [ActivitySettingsDto](docs/ActivitySettingsDto.md)
 - [AddQueueItemRequest](docs/AddQueueItemRequest.md)
 - [AjaxResponse](docs/AjaxResponse.md)
 - [AlertDto](docs/AlertDto.md)
 - [AlertsMarkAsReadRequest](docs/AlertsMarkAsReadRequest.md)
 - [AlertsSubscribedEventDto](docs/AlertsSubscribedEventDto.md)
 - [AlertsUnsubscribedEventDto](docs/AlertsUnsubscribedEventDto.md)
 - [AppTasksCreateRequest](docs/AppTasksCreateRequest.md)
 - [AppTasksDataDto](docs/AppTasksDataDto.md)
 - [AppTasksMetadataDto](docs/AppTasksMetadataDto.md)
 - [ArgumentMetadata](docs/ArgumentMetadata.md)
 - [AssetCreatedEvent](docs/AssetCreatedEvent.md)
 - [AssetDeletedEvent](docs/AssetDeletedEvent.md)
 - [AssetDto](docs/AssetDto.md)
 - [AssetFoldersShareDto](docs/AssetFoldersShareDto.md)
 - [AssetRobotValueDto](docs/AssetRobotValueDto.md)
 - [AssetUpdatedEvent](docs/AssetUpdatedEvent.md)
 - [AssetUserValueDto](docs/AssetUserValueDto.md)
 - [AssetsGetRobotByNameAndKeyRequest](docs/AssetsGetRobotByNameAndKeyRequest.md)
 - [AssetsSetRobotAssetsByKeyRequest](docs/AssetsSetRobotAssetsByKeyRequest.md)
 - [AttendedRobotDto](docs/AttendedRobotDto.md)
 - [AuditLogDto](docs/AuditLogDto.md)
 - [AuditLogEntityDto](docs/AuditLogEntityDto.md)
 - [BlobFileAccessDto](docs/BlobFileAccessDto.md)
 - [BlobFileDto](docs/BlobFileDto.md)
 - [BucketCreatedEvent](docs/BucketCreatedEvent.md)
 - [BucketDeletedEvent](docs/BucketDeletedEvent.md)
 - [BucketDto](docs/BucketDto.md)
 - [BucketFoldersShareDto](docs/BucketFoldersShareDto.md)
 - [BucketUpdatedEvent](docs/BucketUpdatedEvent.md)
 - [BuildTestSetRequestMessage](docs/BuildTestSetRequestMessage.md)
 - [BulkAddQueueItemsRequest](docs/BulkAddQueueItemsRequest.md)
 - [BulkItemDtoOfString](docs/BulkItemDtoOfString.md)
 - [BulkOperationErrorResponse](docs/BulkOperationErrorResponse.md)
 - [BulkOperationResponseDtoOfFailedQueueItemDto](docs/BulkOperationResponseDtoOfFailedQueueItemDto.md)
 - [BulkOperationResponseDtoOfInt64](docs/BulkOperationResponseDtoOfInt64.md)
 - [BulkTasksCompletionRequest](docs/BulkTasksCompletionRequest.md)
 - [BulkTasksDataUpdateRequest](docs/BulkTasksDataUpdateRequest.md)
 - [CalendarDto](docs/CalendarDto.md)
 - [CalendarExistsRequest](docs/CalendarExistsRequest.md)
 - [CloudTemplateDto](docs/CloudTemplateDto.md)
 - [ConfigurationEntry](docs/ConfigurationEntry.md)
 - [ConsumptionLicenseDto](docs/ConsumptionLicenseDto.md)
 - [ConsumptionLicenseStatsModel](docs/ConsumptionLicenseStatsModel.md)
 - [CountStats](docs/CountStats.md)
 - [CredentialSetDefaultStoreForResourceTypeRequest](docs/CredentialSetDefaultStoreForResourceTypeRequest.md)
 - [CredentialStoreDetailsDto](docs/CredentialStoreDetailsDto.md)
 - [CredentialStoreDto](docs/CredentialStoreDto.md)
 - [CredentialStoreResourceDto](docs/CredentialStoreResourceDto.md)
 - [CredentialsConnectionData](docs/CredentialsConnectionData.md)
 - [CredentialsProxyResourceDto](docs/CredentialsProxyResourceDto.md)
 - [CustomEventDto](docs/CustomEventDto.md)
 - [CustomKeyValuePair](docs/CustomKeyValuePair.md)
 - [DeactivateLicenseRequest](docs/DeactivateLicenseRequest.md)
 - [DefaultCredentialStoreDto](docs/DefaultCredentialStoreDto.md)
 - [DeleteInactiveSessionsParameters](docs/DeleteInactiveSessionsParameters.md)
 - [DirectoryObjectDto](docs/DirectoryObjectDto.md)
 - [DirectoryPermissionDto](docs/DirectoryPermissionDto.md)
 - [DomainDto](docs/DomainDto.md)
 - [DomainUserAssignmentDto](docs/DomainUserAssignmentDto.md)
 - [EditTaskMetadataRequest](docs/EditTaskMetadataRequest.md)
 - [EntryPointDataVariationDto](docs/EntryPointDataVariationDto.md)
 - [EntryPointDto](docs/EntryPointDto.md)
 - [EnvironmentDto](docs/EnvironmentDto.md)
 - [EnvironmentRobotRequest](docs/EnvironmentRobotRequest.md)
 - [EnvironmentsSetRobotsRequest](docs/EnvironmentsSetRobotsRequest.md)
 - [ErrorInfo](docs/ErrorInfo.md)
 - [ErrorResult](docs/ErrorResult.md)
 - [ExecutionMediaDeleteMediaByJobIdRequest](docs/ExecutionMediaDeleteMediaByJobIdRequest.md)
 - [ExecutionMediaDto](docs/ExecutionMediaDto.md)
 - [ExecutionSettingDefinition](docs/ExecutionSettingDefinition.md)
 - [ExecutionSettingsConfiguration](docs/ExecutionSettingsConfiguration.md)
 - [ExportModel](docs/ExportModel.md)
 - [ExtendedCalendarDto](docs/ExtendedCalendarDto.md)
 - [ExtendedFolderDto](docs/ExtendedFolderDto.md)
 - [ExtendedMachineDto](docs/ExtendedMachineDto.md)
 - [ExtendedRobotDto](docs/ExtendedRobotDto.md)
 - [FailedQueueItemDto](docs/FailedQueueItemDto.md)
 - [FolderAssignDomainUserRequest](docs/FolderAssignDomainUserRequest.md)
 - [FolderAssignMachinesRequest](docs/FolderAssignMachinesRequest.md)
 - [FolderAssignUsersRequest](docs/FolderAssignUsersRequest.md)
 - [FolderAssignmentsDto](docs/FolderAssignmentsDto.md)
 - [FolderCreatedEvent](docs/FolderCreatedEvent.md)
 - [FolderDeletedEvent](docs/FolderDeletedEvent.md)
 - [FolderDto](docs/FolderDto.md)
 - [FolderMachineInheritDto](docs/FolderMachineInheritDto.md)
 - [FolderNavigationContextDto](docs/FolderNavigationContextDto.md)
 - [FolderRolesDto](docs/FolderRolesDto.md)
 - [FolderUpdateNameDescriptionRequest](docs/FolderUpdateNameDescriptionRequest.md)
 - [FolderUpdatedEvent](docs/FolderUpdatedEvent.md)
 - [FormTaskCreateRequest](docs/FormTaskCreateRequest.md)
 - [HostAvailabilityDto](docs/HostAvailabilityDto.md)
 - [HostDeleteTenantLicenseRequest](docs/HostDeleteTenantLicenseRequest.md)
 - [HostLicenseDto](docs/HostLicenseDto.md)
 - [HostLicensePerTenantDto](docs/HostLicensePerTenantDto.md)
 - [HostSetTenantLicenseRequest](docs/HostSetTenantLicenseRequest.md)
 - [JobCompletedEventDto](docs/JobCompletedEventDto.md)
 - [JobDto](docs/JobDto.md)
 - [JobFaultedEventDto](docs/JobFaultedEventDto.md)
 - [JobResumedEventDto](docs/JobResumedEventDto.md)
 - [JobStartedEventDto](docs/JobStartedEventDto.md)
 - [JobStoppingEventDto](docs/JobStoppingEventDto.md)
 - [JobSuspendedEventDto](docs/JobSuspendedEventDto.md)
 - [JobTerminatingEventDto](docs/JobTerminatingEventDto.md)
 - [JobTriggerDto](docs/JobTriggerDto.md)
 - [JobTriggerWithWaitEventsDto](docs/JobTriggerWithWaitEventsDto.md)
 - [JobsCreatedEventDto](docs/JobsCreatedEventDto.md)
 - [JobsStoppedEventDto](docs/JobsStoppedEventDto.md)
 - [KeyValuePairOfStringString](docs/KeyValuePairOfStringString.md)
 - [LanguageInfo](docs/LanguageInfo.md)
 - [LibraryDto](docs/LibraryDto.md)
 - [LicenseDto](docs/LicenseDto.md)
 - [LicenseNamedUserDto](docs/LicenseNamedUserDto.md)
 - [LicenseRequest](docs/LicenseRequest.md)
 - [LicenseResultDto](docs/LicenseResultDto.md)
 - [LicenseRuntimeDto](docs/LicenseRuntimeDto.md)
 - [LicenseStatsModel](docs/LicenseStatsModel.md)
 - [LicensesToggleEnabledRequest](docs/LicensesToggleEnabledRequest.md)
 - [LightRoleDto](docs/LightRoleDto.md)
 - [ListResultDtoOfLanguageInfo](docs/ListResultDtoOfLanguageInfo.md)
 - [ListResultDtoOfNameValueDto](docs/ListResultDtoOfNameValueDto.md)
 - [LogDto](docs/LogDto.md)
 - [LoginModel](docs/LoginModel.md)
 - [LongVersionedEntity](docs/LongVersionedEntity.md)
 - [MachineAssignmentsDto](docs/MachineAssignmentsDto.md)
 - [MachineCreatedEvent](docs/MachineCreatedEvent.md)
 - [MachineDeleteBulkRequest](docs/MachineDeleteBulkRequest.md)
 - [MachineDeletedEvent](docs/MachineDeletedEvent.md)
 - [MachineDto](docs/MachineDto.md)
 - [MachineFolderDto](docs/MachineFolderDto.md)
 - [MachineRobotDto](docs/MachineRobotDto.md)
 - [MachineRobotSessionDto](docs/MachineRobotSessionDto.md)
 - [MachineRuntimeDto](docs/MachineRuntimeDto.md)
 - [MachineSessionDto](docs/MachineSessionDto.md)
 - [MachineSessionRuntimeDto](docs/MachineSessionRuntimeDto.md)
 - [MachineUpdatedEvent](docs/MachineUpdatedEvent.md)
 - [MachineVpnSettingsDto](docs/MachineVpnSettingsDto.md)
 - [MachinesFolderAssociationsDto](docs/MachinesFolderAssociationsDto.md)
 - [MachinesRobotVersionDto](docs/MachinesRobotVersionDto.md)
 - [MaintenanceSetting](docs/MaintenanceSetting.md)
 - [MaintenanceStateLog](docs/MaintenanceStateLog.md)
 - [MaintenanceWindowDto](docs/MaintenanceWindowDto.md)
 - [MoveFolderMachineChange](docs/MoveFolderMachineChange.md)
 - [NameValueDto](docs/NameValueDto.md)
 - [ODataValueOfBoolean](docs/ODataValueOfBoolean.md)
 - [ODataValueOfIDictionaryOfInt64Boolean](docs/ODataValueOfIDictionaryOfInt64Boolean.md)
 - [ODataValueOfIEnumerableOfAlertDto](docs/ODataValueOfIEnumerableOfAlertDto.md)
 - [ODataValueOfIEnumerableOfAssetDto](docs/ODataValueOfIEnumerableOfAssetDto.md)
 - [ODataValueOfIEnumerableOfAuditLogDto](docs/ODataValueOfIEnumerableOfAuditLogDto.md)
 - [ODataValueOfIEnumerableOfAuditLogEntityDto](docs/ODataValueOfIEnumerableOfAuditLogEntityDto.md)
 - [ODataValueOfIEnumerableOfBlobFileDto](docs/ODataValueOfIEnumerableOfBlobFileDto.md)
 - [ODataValueOfIEnumerableOfBucketDto](docs/ODataValueOfIEnumerableOfBucketDto.md)
 - [ODataValueOfIEnumerableOfBulkItemDtoOfString](docs/ODataValueOfIEnumerableOfBulkItemDtoOfString.md)
 - [ODataValueOfIEnumerableOfConfigurationEntry](docs/ODataValueOfIEnumerableOfConfigurationEntry.md)
 - [ODataValueOfIEnumerableOfCredentialStoreDto](docs/ODataValueOfIEnumerableOfCredentialStoreDto.md)
 - [ODataValueOfIEnumerableOfCredentialStoreResourceDto](docs/ODataValueOfIEnumerableOfCredentialStoreResourceDto.md)
 - [ODataValueOfIEnumerableOfCredentialsProxyResourceDto](docs/ODataValueOfIEnumerableOfCredentialsProxyResourceDto.md)
 - [ODataValueOfIEnumerableOfEnvironmentDto](docs/ODataValueOfIEnumerableOfEnvironmentDto.md)
 - [ODataValueOfIEnumerableOfExecutionMediaDto](docs/ODataValueOfIEnumerableOfExecutionMediaDto.md)
 - [ODataValueOfIEnumerableOfExtendedCalendarDto](docs/ODataValueOfIEnumerableOfExtendedCalendarDto.md)
 - [ODataValueOfIEnumerableOfExtendedMachineDto](docs/ODataValueOfIEnumerableOfExtendedMachineDto.md)
 - [ODataValueOfIEnumerableOfExtendedRobotDto](docs/ODataValueOfIEnumerableOfExtendedRobotDto.md)
 - [ODataValueOfIEnumerableOfFolderDto](docs/ODataValueOfIEnumerableOfFolderDto.md)
 - [ODataValueOfIEnumerableOfHostLicenseDto](docs/ODataValueOfIEnumerableOfHostLicenseDto.md)
 - [ODataValueOfIEnumerableOfInt64](docs/ODataValueOfIEnumerableOfInt64.md)
 - [ODataValueOfIEnumerableOfJobDto](docs/ODataValueOfIEnumerableOfJobDto.md)
 - [ODataValueOfIEnumerableOfJobTriggerDto](docs/ODataValueOfIEnumerableOfJobTriggerDto.md)
 - [ODataValueOfIEnumerableOfJobTriggerWithWaitEventsDto](docs/ODataValueOfIEnumerableOfJobTriggerWithWaitEventsDto.md)
 - [ODataValueOfIEnumerableOfKeyValuePairOfStringString](docs/ODataValueOfIEnumerableOfKeyValuePairOfStringString.md)
 - [ODataValueOfIEnumerableOfLibraryDto](docs/ODataValueOfIEnumerableOfLibraryDto.md)
 - [ODataValueOfIEnumerableOfLicenseNamedUserDto](docs/ODataValueOfIEnumerableOfLicenseNamedUserDto.md)
 - [ODataValueOfIEnumerableOfLicenseRuntimeDto](docs/ODataValueOfIEnumerableOfLicenseRuntimeDto.md)
 - [ODataValueOfIEnumerableOfLogDto](docs/ODataValueOfIEnumerableOfLogDto.md)
 - [ODataValueOfIEnumerableOfMachineDto](docs/ODataValueOfIEnumerableOfMachineDto.md)
 - [ODataValueOfIEnumerableOfMachineFolderDto](docs/ODataValueOfIEnumerableOfMachineFolderDto.md)
 - [ODataValueOfIEnumerableOfMachineRuntimeDto](docs/ODataValueOfIEnumerableOfMachineRuntimeDto.md)
 - [ODataValueOfIEnumerableOfMachineSessionDto](docs/ODataValueOfIEnumerableOfMachineSessionDto.md)
 - [ODataValueOfIEnumerableOfMachineSessionRuntimeDto](docs/ODataValueOfIEnumerableOfMachineSessionRuntimeDto.md)
 - [ODataValueOfIEnumerableOfMoveFolderMachineChange](docs/ODataValueOfIEnumerableOfMoveFolderMachineChange.md)
 - [ODataValueOfIEnumerableOfOrganizationUnitDto](docs/ODataValueOfIEnumerableOfOrganizationUnitDto.md)
 - [ODataValueOfIEnumerableOfPermissionDto](docs/ODataValueOfIEnumerableOfPermissionDto.md)
 - [ODataValueOfIEnumerableOfPersonalWorkspaceDto](docs/ODataValueOfIEnumerableOfPersonalWorkspaceDto.md)
 - [ODataValueOfIEnumerableOfProcessDto](docs/ODataValueOfIEnumerableOfProcessDto.md)
 - [ODataValueOfIEnumerableOfProcessScheduleDto](docs/ODataValueOfIEnumerableOfProcessScheduleDto.md)
 - [ODataValueOfIEnumerableOfQueueDefinitionDto](docs/ODataValueOfIEnumerableOfQueueDefinitionDto.md)
 - [ODataValueOfIEnumerableOfQueueItemCommentDto](docs/ODataValueOfIEnumerableOfQueueItemCommentDto.md)
 - [ODataValueOfIEnumerableOfQueueItemDto](docs/ODataValueOfIEnumerableOfQueueItemDto.md)
 - [ODataValueOfIEnumerableOfQueueItemEventDto](docs/ODataValueOfIEnumerableOfQueueItemEventDto.md)
 - [ODataValueOfIEnumerableOfQueueProcessingRecordDto](docs/ODataValueOfIEnumerableOfQueueProcessingRecordDto.md)
 - [ODataValueOfIEnumerableOfQueueProcessingStatusDto](docs/ODataValueOfIEnumerableOfQueueProcessingStatusDto.md)
 - [ODataValueOfIEnumerableOfQueueRetentionSettingDto](docs/ODataValueOfIEnumerableOfQueueRetentionSettingDto.md)
 - [ODataValueOfIEnumerableOfReleaseDto](docs/ODataValueOfIEnumerableOfReleaseDto.md)
 - [ODataValueOfIEnumerableOfReleaseRetentionSettingDto](docs/ODataValueOfIEnumerableOfReleaseRetentionSettingDto.md)
 - [ODataValueOfIEnumerableOfRobotDto](docs/ODataValueOfIEnumerableOfRobotDto.md)
 - [ODataValueOfIEnumerableOfRobotsFromFolderModel](docs/ODataValueOfIEnumerableOfRobotsFromFolderModel.md)
 - [ODataValueOfIEnumerableOfRoleDto](docs/ODataValueOfIEnumerableOfRoleDto.md)
 - [ODataValueOfIEnumerableOfSessionDto](docs/ODataValueOfIEnumerableOfSessionDto.md)
 - [ODataValueOfIEnumerableOfSettingsDto](docs/ODataValueOfIEnumerableOfSettingsDto.md)
 - [ODataValueOfIEnumerableOfSimpleUserDto](docs/ODataValueOfIEnumerableOfSimpleUserDto.md)
 - [ODataValueOfIEnumerableOfString](docs/ODataValueOfIEnumerableOfString.md)
 - [ODataValueOfIEnumerableOfTaskActivityDto](docs/ODataValueOfIEnumerableOfTaskActivityDto.md)
 - [ODataValueOfIEnumerableOfTaskCatalogDto](docs/ODataValueOfIEnumerableOfTaskCatalogDto.md)
 - [ODataValueOfIEnumerableOfTaskDefinitionDto](docs/ODataValueOfIEnumerableOfTaskDefinitionDto.md)
 - [ODataValueOfIEnumerableOfTaskDto](docs/ODataValueOfIEnumerableOfTaskDto.md)
 - [ODataValueOfIEnumerableOfTaskNoteDto](docs/ODataValueOfIEnumerableOfTaskNoteDto.md)
 - [ODataValueOfIEnumerableOfTaskOperationErrorResponse](docs/ODataValueOfIEnumerableOfTaskOperationErrorResponse.md)
 - [ODataValueOfIEnumerableOfTaskRetentionSettingDto](docs/ODataValueOfIEnumerableOfTaskRetentionSettingDto.md)
 - [ODataValueOfIEnumerableOfTenantDto](docs/ODataValueOfIEnumerableOfTenantDto.md)
 - [ODataValueOfIEnumerableOfTestCaseDefinitionDto](docs/ODataValueOfIEnumerableOfTestCaseDefinitionDto.md)
 - [ODataValueOfIEnumerableOfTestCaseExecutionDto](docs/ODataValueOfIEnumerableOfTestCaseExecutionDto.md)
 - [ODataValueOfIEnumerableOfTestDataQueueDto](docs/ODataValueOfIEnumerableOfTestDataQueueDto.md)
 - [ODataValueOfIEnumerableOfTestDataQueueItemODataDto](docs/ODataValueOfIEnumerableOfTestDataQueueItemODataDto.md)
 - [ODataValueOfIEnumerableOfTestSetDto](docs/ODataValueOfIEnumerableOfTestSetDto.md)
 - [ODataValueOfIEnumerableOfTestSetExecutionDto](docs/ODataValueOfIEnumerableOfTestSetExecutionDto.md)
 - [ODataValueOfIEnumerableOfTestSetScheduleDto](docs/ODataValueOfIEnumerableOfTestSetScheduleDto.md)
 - [ODataValueOfIEnumerableOfUserDto](docs/ODataValueOfIEnumerableOfUserDto.md)
 - [ODataValueOfIEnumerableOfUserLoginInfoDto](docs/ODataValueOfIEnumerableOfUserLoginInfoDto.md)
 - [ODataValueOfIEnumerableOfUserRolesDto](docs/ODataValueOfIEnumerableOfUserRolesDto.md)
 - [ODataValueOfIEnumerableOfWebhookDto](docs/ODataValueOfIEnumerableOfWebhookDto.md)
 - [ODataValueOfIEnumerableOfWebhookEventTypeDto](docs/ODataValueOfIEnumerableOfWebhookEventTypeDto.md)
 - [ODataValueOfInt64](docs/ODataValueOfInt64.md)
 - [ODataValueOfString](docs/ODataValueOfString.md)
 - [OrganizationUnitDto](docs/OrganizationUnitDto.md)
 - [PackageDeletedEvent](docs/PackageDeletedEvent.md)
 - [PackageUploadedEvent](docs/PackageUploadedEvent.md)
 - [PageResultDtoOfPathAwareFolderDto](docs/PageResultDtoOfPathAwareFolderDto.md)
 - [PathAwareFolderDto](docs/PathAwareFolderDto.md)
 - [PermissionDto](docs/PermissionDto.md)
 - [PersonalWorkspaceDto](docs/PersonalWorkspaceDto.md)
 - [PersonalWorkspacesConvertToFolderRequest](docs/PersonalWorkspacesConvertToFolderRequest.md)
 - [PingEventDto](docs/PingEventDto.md)
 - [ProcessAlertDto](docs/ProcessAlertDto.md)
 - [ProcessDto](docs/ProcessDto.md)
 - [ProcessScheduleCreatedEvent](docs/ProcessScheduleCreatedEvent.md)
 - [ProcessScheduleDeletedEvent](docs/ProcessScheduleDeletedEvent.md)
 - [ProcessScheduleDto](docs/ProcessScheduleDto.md)
 - [ProcessScheduleFailedEventDto](docs/ProcessScheduleFailedEventDto.md)
 - [ProcessScheduleUpdatedEvent](docs/ProcessScheduleUpdatedEvent.md)
 - [ProcessSetEnabledRequest](docs/ProcessSetEnabledRequest.md)
 - [ProcessSettingsDto](docs/ProcessSettingsDto.md)
 - [ProcessesSetArgumentsRequest](docs/ProcessesSetArgumentsRequest.md)
 - [ProcessingExceptionDto](docs/ProcessingExceptionDto.md)
 - [QueueCreatedEvent](docs/QueueCreatedEvent.md)
 - [QueueCreatedEventDto](docs/QueueCreatedEventDto.md)
 - [QueueDefinitionDto](docs/QueueDefinitionDto.md)
 - [QueueDefinitionEventDto](docs/QueueDefinitionEventDto.md)
 - [QueueDeletedEvent](docs/QueueDeletedEvent.md)
 - [QueueDeletedEventDto](docs/QueueDeletedEventDto.md)
 - [QueueFoldersShareDto](docs/QueueFoldersShareDto.md)
 - [QueueItemAddedEventDto](docs/QueueItemAddedEventDto.md)
 - [QueueItemCommentDto](docs/QueueItemCommentDto.md)
 - [QueueItemCompletedEventDto](docs/QueueItemCompletedEventDto.md)
 - [QueueItemDataDto](docs/QueueItemDataDto.md)
 - [QueueItemDeleteBulkRequest](docs/QueueItemDeleteBulkRequest.md)
 - [QueueItemDto](docs/QueueItemDto.md)
 - [QueueItemEventDto](docs/QueueItemEventDto.md)
 - [QueueItemFailedEventDto](docs/QueueItemFailedEventDto.md)
 - [QueueItemSimpleEventDto](docs/QueueItemSimpleEventDto.md)
 - [QueueItemStartedEventDto](docs/QueueItemStartedEventDto.md)
 - [QueueItemsAbandonedEventDto](docs/QueueItemsAbandonedEventDto.md)
 - [QueueProcessingRecordDto](docs/QueueProcessingRecordDto.md)
 - [QueueProcessingStatusDto](docs/QueueProcessingStatusDto.md)
 - [QueueRetentionSettingDto](docs/QueueRetentionSettingDto.md)
 - [QueueSetItemReviewStatusRequest](docs/QueueSetItemReviewStatusRequest.md)
 - [QueueSetItemReviewerRequest](docs/QueueSetItemReviewerRequest.md)
 - [QueueSetTransactionProgressRequest](docs/QueueSetTransactionProgressRequest.md)
 - [QueueSetTransactionResultRequest](docs/QueueSetTransactionResultRequest.md)
 - [QueueUnsetItemReviewerRequest](docs/QueueUnsetItemReviewerRequest.md)
 - [QueueUpdatedEvent](docs/QueueUpdatedEvent.md)
 - [QueueUpdatedEventDto](docs/QueueUpdatedEventDto.md)
 - [QueuesStartTransactionRequest](docs/QueuesStartTransactionRequest.md)
 - [RaiseProcessAlertRequest](docs/RaiseProcessAlertRequest.md)
 - [ReexecuteTestCasesOptionsDto](docs/ReexecuteTestCasesOptionsDto.md)
 - [ReleaseCreatedEventDto](docs/ReleaseCreatedEventDto.md)
 - [ReleaseDeletedEventDto](docs/ReleaseDeletedEventDto.md)
 - [ReleaseDto](docs/ReleaseDto.md)
 - [ReleaseRetentionSettingDto](docs/ReleaseRetentionSettingDto.md)
 - [ReleaseUpdatedEventDto](docs/ReleaseUpdatedEventDto.md)
 - [ReleaseVersionDto](docs/ReleaseVersionDto.md)
 - [ReleasesUpdateByKeyRequest](docs/ReleasesUpdateByKeyRequest.md)
 - [ReleasesUpdateToLatestPackageVersionBulkRequest](docs/ReleasesUpdateToLatestPackageVersionBulkRequest.md)
 - [ReleasesUpdateToSpecificPackageVersionRequest](docs/ReleasesUpdateToSpecificPackageVersionRequest.md)
 - [RemoveMachinesFromFolderRequest](docs/RemoveMachinesFromFolderRequest.md)
 - [RemoveUserFromFolderRequest](docs/RemoveUserFromFolderRequest.md)
 - [ResourceOverwriteDto](docs/ResourceOverwriteDto.md)
 - [ResponseDictionaryDto](docs/ResponseDictionaryDto.md)
 - [RestartJobRequest](docs/RestartJobRequest.md)
 - [ResumeJobRequest](docs/ResumeJobRequest.md)
 - [RobotAssetDto](docs/RobotAssetDto.md)
 - [RobotCreatedEventDto](docs/RobotCreatedEventDto.md)
 - [RobotDeleteBulkRequest](docs/RobotDeleteBulkRequest.md)
 - [RobotDeletedEventDto](docs/RobotDeletedEventDto.md)
 - [RobotDto](docs/RobotDto.md)
 - [RobotExecutorDto](docs/RobotExecutorDto.md)
 - [RobotLicenseDto](docs/RobotLicenseDto.md)
 - [RobotUpdatedEventDto](docs/RobotUpdatedEventDto.md)
 - [RobotUserDto](docs/RobotUserDto.md)
 - [RobotWithLicenseDto](docs/RobotWithLicenseDto.md)
 - [RobotsConvertToFloatingRequest](docs/RobotsConvertToFloatingRequest.md)
 - [RobotsFromFolderModel](docs/RobotsFromFolderModel.md)
 - [RobotsToggleEnabledStatusRequest](docs/RobotsToggleEnabledStatusRequest.md)
 - [RoleDto](docs/RoleDto.md)
 - [RoleUsersDto](docs/RoleUsersDto.md)
 - [SessionDto](docs/SessionDto.md)
 - [SessionEventData](docs/SessionEventData.md)
 - [SessionMaintenanceModeParameters](docs/SessionMaintenanceModeParameters.md)
 - [SessionUpdatedEventDto](docs/SessionUpdatedEventDto.md)
 - [SessionsToggleMachineSessionDebugModeRequest](docs/SessionsToggleMachineSessionDebugModeRequest.md)
 - [SetUsersRequest](docs/SetUsersRequest.md)
 - [SettingsDeleteBulkRequest](docs/SettingsDeleteBulkRequest.md)
 - [SettingsDto](docs/SettingsDto.md)
 - [SettingsUpdateBulkRequest](docs/SettingsUpdateBulkRequest.md)
 - [SignalRActivitySettingsDto](docs/SignalRActivitySettingsDto.md)
 - [SimpleFolderDto](docs/SimpleFolderDto.md)
 - [SimpleJobEventDto](docs/SimpleJobEventDto.md)
 - [SimpleMachineDto](docs/SimpleMachineDto.md)
 - [SimpleReleaseDto](docs/SimpleReleaseDto.md)
 - [SimpleReleaseEventDto](docs/SimpleReleaseEventDto.md)
 - [SimpleRobotDto](docs/SimpleRobotDto.md)
 - [SimpleRobotEventDto](docs/SimpleRobotEventDto.md)
 - [SimpleRoleDto](docs/SimpleRoleDto.md)
 - [SimpleUserDto](docs/SimpleUserDto.md)
 - [SimpleUserEntityDto](docs/SimpleUserEntityDto.md)
 - [SmtpSettingModel](docs/SmtpSettingModel.md)
 - [SpecificEntityMonitoringFilters](docs/SpecificEntityMonitoringFilters.md)
 - [StartJobsRequest](docs/StartJobsRequest.md)
 - [StartProcessDto](docs/StartProcessDto.md)
 - [StopJobRequest](docs/StopJobRequest.md)
 - [StopJobsRequest](docs/StopJobsRequest.md)
 - [TagDto](docs/TagDto.md)
 - [TaskActivityDto](docs/TaskActivityDto.md)
 - [TaskAssignmentChangedEventDto](docs/TaskAssignmentChangedEventDto.md)
 - [TaskAssignmentRequest](docs/TaskAssignmentRequest.md)
 - [TaskCatalogDto](docs/TaskCatalogDto.md)
 - [TaskCatalogExtendedDetailsDto](docs/TaskCatalogExtendedDetailsDto.md)
 - [TaskCatalogFoldersShareDto](docs/TaskCatalogFoldersShareDto.md)
 - [TaskCatalogRequest](docs/TaskCatalogRequest.md)
 - [TaskCompletedEventDto](docs/TaskCompletedEventDto.md)
 - [TaskCompletionRequest](docs/TaskCompletionRequest.md)
 - [TaskCreateRequest](docs/TaskCreateRequest.md)
 - [TaskCreatedEvent](docs/TaskCreatedEvent.md)
 - [TaskCreatedEventDto](docs/TaskCreatedEventDto.md)
 - [TaskDataDto](docs/TaskDataDto.md)
 - [TaskDataSaveRequest](docs/TaskDataSaveRequest.md)
 - [TaskDefinitionDto](docs/TaskDefinitionDto.md)
 - [TaskDefinitionPropertiesDto](docs/TaskDefinitionPropertiesDto.md)
 - [TaskDefinitionPropertiesRequest](docs/TaskDefinitionPropertiesRequest.md)
 - [TaskDefinitionRequest](docs/TaskDefinitionRequest.md)
 - [TaskDefintionAssociatedVersionsDto](docs/TaskDefintionAssociatedVersionsDto.md)
 - [TaskDefintionVersionDto](docs/TaskDefintionVersionDto.md)
 - [TaskDeletedEvent](docs/TaskDeletedEvent.md)
 - [TaskDeletedEventDto](docs/TaskDeletedEventDto.md)
 - [TaskDto](docs/TaskDto.md)
 - [TaskFormDto](docs/TaskFormDto.md)
 - [TaskForwardedEventDto](docs/TaskForwardedEventDto.md)
 - [TaskNoteCreateRequest](docs/TaskNoteCreateRequest.md)
 - [TaskNoteDto](docs/TaskNoteDto.md)
 - [TaskOperationErrorResponse](docs/TaskOperationErrorResponse.md)
 - [TaskRetentionSettingDto](docs/TaskRetentionSettingDto.md)
 - [TaskSaveAndReassignmentRequest](docs/TaskSaveAndReassignmentRequest.md)
 - [TaskSavedEventDto](docs/TaskSavedEventDto.md)
 - [TaskTagsSaveRequest](docs/TaskTagsSaveRequest.md)
 - [TaskUpdatedEvent](docs/TaskUpdatedEvent.md)
 - [TasksAssignRequest](docs/TasksAssignRequest.md)
 - [TasksDeleteRequest](docs/TasksDeleteRequest.md)
 - [TenantDto](docs/TenantDto.md)
 - [TenantLicenseDto](docs/TenantLicenseDto.md)
 - [TenantSetActiveRequest](docs/TenantSetActiveRequest.md)
 - [TestCaseAssertionDto](docs/TestCaseAssertionDto.md)
 - [TestCaseDefinitionDto](docs/TestCaseDefinitionDto.md)
 - [TestCaseDto](docs/TestCaseDto.md)
 - [TestCaseExecutionArgumentsDto](docs/TestCaseExecutionArgumentsDto.md)
 - [TestCaseExecutionAttachmentDto](docs/TestCaseExecutionAttachmentDto.md)
 - [TestCaseExecutionAttachmentFilterDto](docs/TestCaseExecutionAttachmentFilterDto.md)
 - [TestCaseExecutionDto](docs/TestCaseExecutionDto.md)
 - [TestCaseExecutionOptionsDto](docs/TestCaseExecutionOptionsDto.md)
 - [TestDataQueueAddItemDto](docs/TestDataQueueAddItemDto.md)
 - [TestDataQueueBulkAddItemsDto](docs/TestDataQueueBulkAddItemsDto.md)
 - [TestDataQueueDto](docs/TestDataQueueDto.md)
 - [TestDataQueueGetNextItemDto](docs/TestDataQueueGetNextItemDto.md)
 - [TestDataQueueItemDto](docs/TestDataQueueItemDto.md)
 - [TestDataQueueItemODataDto](docs/TestDataQueueItemODataDto.md)
 - [TestDataQueueSetAllItemsConsumedDto](docs/TestDataQueueSetAllItemsConsumedDto.md)
 - [TestDataQueueSetItemsConsumedDto](docs/TestDataQueueSetItemsConsumedDto.md)
 - [TestEnvironmentDto](docs/TestEnvironmentDto.md)
 - [TestPackageInfoDto](docs/TestPackageInfoDto.md)
 - [TestReleaseVersionDto](docs/TestReleaseVersionDto.md)
 - [TestSetDto](docs/TestSetDto.md)
 - [TestSetExecutionAttachmentDto](docs/TestSetExecutionAttachmentDto.md)
 - [TestSetExecutionAttachmentFilterDto](docs/TestSetExecutionAttachmentFilterDto.md)
 - [TestSetExecutionDto](docs/TestSetExecutionDto.md)
 - [TestSetExecutionOptionsDto](docs/TestSetExecutionOptionsDto.md)
 - [TestSetInputArgumentDto](docs/TestSetInputArgumentDto.md)
 - [TestSetPackageDto](docs/TestSetPackageDto.md)
 - [TestSetScheduleDto](docs/TestSetScheduleDto.md)
 - [TestSetSchedulesEnabledRequest](docs/TestSetSchedulesEnabledRequest.md)
 - [TransactionDataDto](docs/TransactionDataDto.md)
 - [TransactionResultDto](docs/TransactionResultDto.md)
 - [UnattendedRobotDto](docs/UnattendedRobotDto.md)
 - [UpdateInfoDto](docs/UpdateInfoDto.md)
 - [UpdateMachinesToFolderAssociationsRequest](docs/UpdateMachinesToFolderAssociationsRequest.md)
 - [UpdatePolicyDto](docs/UpdatePolicyDto.md)
 - [UpdateSettingsDto](docs/UpdateSettingsDto.md)
 - [UpdateUserSettingRequest](docs/UpdateUserSettingRequest.md)
 - [UserAssignRolesRequest](docs/UserAssignRolesRequest.md)
 - [UserAssignmentsDto](docs/UserAssignmentsDto.md)
 - [UserChangeCultureRequest](docs/UserChangeCultureRequest.md)
 - [UserDto](docs/UserDto.md)
 - [UserEntityDto](docs/UserEntityDto.md)
 - [UserLoginInfoDto](docs/UserLoginInfoDto.md)
 - [UserNotificationSubscription](docs/UserNotificationSubscription.md)
 - [UserOrganizationUnitDto](docs/UserOrganizationUnitDto.md)
 - [UserPermissionsCollection](docs/UserPermissionsCollection.md)
 - [UserRoleAssignmentsDto](docs/UserRoleAssignmentsDto.md)
 - [UserRoleDto](docs/UserRoleDto.md)
 - [UserRolesDto](docs/UserRolesDto.md)
 - [UsersSetActiveRequest](docs/UsersSetActiveRequest.md)
 - [UsersToggleOrganizationUnitRequest](docs/UsersToggleOrganizationUnitRequest.md)
 - [UsersToggleRoleRequest](docs/UsersToggleRoleRequest.md)
 - [ValidateProcessScheduleRequest](docs/ValidateProcessScheduleRequest.md)
 - [ValidationErrorInfo](docs/ValidationErrorInfo.md)
 - [ValidationResultDto](docs/ValidationResultDto.md)
 - [VerifySmtpSettingRequest](docs/VerifySmtpSettingRequest.md)
 - [VideoRecordingSettingsDto](docs/VideoRecordingSettingsDto.md)
 - [WebhookCreatedEvent](docs/WebhookCreatedEvent.md)
 - [WebhookDeletedEvent](docs/WebhookDeletedEvent.md)
 - [WebhookDto](docs/WebhookDto.md)
 - [WebhookEventDto](docs/WebhookEventDto.md)
 - [WebhookEventTypeDto](docs/WebhookEventTypeDto.md)
 - [WebhookSimpleUserDto](docs/WebhookSimpleUserDto.md)
 - [WebhookTaskAssignmentChangedDto](docs/WebhookTaskAssignmentChangedDto.md)
 - [WebhookTaskCompletedDto](docs/WebhookTaskCompletedDto.md)
 - [WebhookTaskCreatedDto](docs/WebhookTaskCreatedDto.md)
 - [WebhookUpdatedEvent](docs/WebhookUpdatedEvent.md)
 - [WrappedEnvironmentDto](docs/WrappedEnvironmentDto.md)
 - [WrappedJobDto](docs/WrappedJobDto.md)
 - [WrappedProcessScheduleDto](docs/WrappedProcessScheduleDto.md)
 - [WrappedProcessingExceptionDto](docs/WrappedProcessingExceptionDto.md)
 - [WrappedReleaseDto](docs/WrappedReleaseDto.md)
 - [WrappedRobotDto](docs/WrappedRobotDto.md)
 - [WrappedStartProcessDto](docs/WrappedStartProcessDto.md)
 - [WrappedTaskDeletedDto](docs/WrappedTaskDeletedDto.md)
 - [WrappedTaskForwardedDto](docs/WrappedTaskForwardedDto.md)
 - [WrappedTaskSavedDto](docs/WrappedTaskSavedDto.md)


## Documentation For Authorization


## OAuth2

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://cloud.uipath.com/identity_/connect/authorize
- **Scopes**: 
 - **openid**: OpenId Standard Scope
 - **profile**: Profile Standard Scope
 - **email**: Email Standard Scope
 - **tenant**: Tenant Management Scope
 - **IdentityServerApi**: IdentityServer API Scope
 - **OrchestratorApiUserAccess**: Orchestrator API Scope
 - **ConnectionService**: Connection Service Scope
 - **OMS**: Organization Management Scope


## Author



