# How to build new versions

This project is mostly autogenerated through Swagger Codegen.
First, use an online generator to get the zip, see `generatecode.sh`

The autogenerated code will most likely have syntax errors.

# Fixing the errors

Create a python environment and activate it

`python -m venv .venv`

Install a linter (ruff works great and is fast, flake8 also works)

`pip install flake8` OR `pip install ruff`

Run linter and select only syntax errors. Fix each one (usually by adding a \ to fix the string syntax error)

`flake8 --select E9 .` OR `ruff check --select E9 .`

For example:

```python
return self.api_client.call_api(
            '/odata/Folders/UiPath.Server.Configuration.OData.GetAllRolesForUser(username='{username}',skip={skip},take={take})', 'GET',
``` 
Becomes

```python
return self.api_client.call_api(
            '/odata/Folders/UiPath.Server.Configuration.OData.GetAllRolesForUser(username=\'{username}\',skip={skip},take={take})', 'GET',
```