# JobDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | **str** | The unique job identifier. | [optional] 
**start_time** | **datetime** | The date and time when the job execution started or null if the job hasn&#39;t started yet. | [optional] 
**end_time** | **datetime** | The date and time when the job execution ended or null if the job hasn&#39;t ended yet. | [optional] 
**state** | **str** | The state in which the job is. | [optional] 
**job_priority** | **str** | Execution priority. | [optional] 
**specific_priority_value** | **int** | Value for more granular control over execution priority. | [optional] 
**robot** | [**SimpleRobotDto**](SimpleRobotDto.md) |  | [optional] 
**release** | [**SimpleReleaseDto**](SimpleReleaseDto.md) |  | [optional] 
**resource_overwrites** | **str** | Job overwrites | [optional] 
**source** | **str** | The Source name of the job. | [optional] 
**source_type** | **str** | The Source type of the job. | [optional] 
**batch_execution_key** | **str** | The unique identifier grouping multiple jobs. It is usually generated when the job is created by a schedule. | [optional] 
**info** | **str** | Additional information about the current job. | [optional] 
**creation_time** | **datetime** | The date and time when the job was created. | [optional] 
**starting_schedule_id** | **int** | The Id of the schedule that started the job, or null if the job was started by the user. | [optional] 
**release_name** | **str** | The name of the release associated with the current name. | [optional] 
**type** | **str** | The type of the job, Attended if started via the robot, Unattended otherwise | [optional] 
**input_arguments** | **str** | Input parameters in JSON format to be passed to job execution | [optional] 
**output_arguments** | **str** | Output parameters in JSON format resulted from job execution | [optional] 
**host_machine_name** | **str** | The name of the machine where the Robot run the job. | [optional] 
**has_media_recorded** | **bool** | DEPRECATED. True if any execution media has been recorded for this job, false otherwise. | [optional] 
**has_video_recorded** | **bool** | DEPRECATED. True if any execution video has been recorded for this job, false otherwise. | [optional] 
**persistence_id** | **str** | The persistence instance id for a suspended job | [optional] 
**resume_version** | **int** | Distinguishes between multiple job suspend/resume cycles | [optional] 
**stop_strategy** | **str** |  | [optional] 
**runtime_type** | **str** | The runtime type of the robot which can pick up the job | [optional] 
**requires_user_interaction** | **bool** |  | [optional] 
**release_version_id** | **int** |  | [optional] 
**entry_point_path** | **str** | Path to the entry point workflow (XAML) that will be executed by the robot | [optional] 
**organization_unit_id** | **int** | Id of the folder this job is part of. | [optional] 
**organization_unit_fully_qualified_name** | **str** | Fully qualified name of the folder this job is part of. | [optional] 
**reference** | **str** | Reference identifier for the job | [optional] 
**process_type** | **str** |  | [optional] 
**machine** | [**MachineDto**](MachineDto.md) |  | [optional] 
**profiling_options** | **str** | Options to instruct the robot what profiling info to collect (code coverage, CPU / memory utilization, etc) | [optional] 
**resume_on_same_context** | **bool** | Flag for honoring initial machine and robot choice upon resumption of job if suspended. &lt;br /&gt;  If set, the job will resume on the same robot-machine pair on which it initially ran. | [optional] 
**local_system_account** | **str** | The account under which the robot executor will run the job | [optional] 
**orchestrator_user_identity** | **str** | The orchestrator identity used to make API calls | [optional] 
**remote_control_access** | **str** |  | [optional] 
**starting_trigger_id** | **str** | Starting Trigger Id. Can be ApiTriggerId or HttpTriggerId. | [optional] 
**max_expected_running_time_seconds** | **int** | Expected running time in seconds | [optional] 
**serverless_job_type** | **str** | The type of the serverless job, RobotJob or Generic | [optional] 
**resume_time** | **datetime** |  | [optional] 
**last_modification_time** | **datetime** |  | [optional] 
**id** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


