# ProcessScheduleDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | **str** | The Key of the process schedule. | [optional] 
**enabled** | **bool** | Specifies if the schedule is active or not. | [optional] 
**name** | **str** | The name of the schedule. | 
**release_id** | **int** | The Id of the process associated with the schedule. | [optional] 
**release_key** | **str** | The unique key of the process associated with the schedule. | [optional] 
**release_name** | **str** | The name of the process associated with the schedule. | [optional] 
**package_name** | **str** | The name of the package to be triggered with the schedule. | [optional] 
**environment_name** | **str** | The name of the environment associated with the schedule. | [optional] 
**environment_id** | **str** | The Id of the environment associated with the schedule. | [optional] 
**job_priority** | **str** | The execution priority. If null, it will start jobs with the release&#39;s priority. | [optional] 
**specific_priority_value** | **int** | Value for more granular control over execution priority. | [optional] 
**runtime_type** | **str** | The runtime type of the robot | [optional] 
**start_process_cron** | **str** | The start cron expression of the schedule. | [optional] 
**start_process_cron_details** | **str** | Various details that can be associated to the time period expression of the schedule. | [optional] 
**start_process_cron_summary** | **str** | Human readable form of cron expression of the schedule. | [optional] 
**start_process_next_occurrence** | **datetime** | The date and time when the associated process will be run next. | [optional] 
**start_strategy** | **int** | States which robots from the environment are being run by the schedule. | [optional] 
**executor_robots** | [**list[RobotExecutorDto]**](RobotExecutorDto.md) | The collection of specific robots selected to be targeted by the current schedule. This collection must be empty if the start strategy is not 0 (specific robots). | [optional] 
**stop_process_expression** | **str** | Number of seconds after which a running process will be stopped. | [optional] 
**stop_strategy** | **str** | The way a running process is stopped. | [optional] 
**kill_process_expression** | **str** | Grace period (in seconds) for soft stop. If a process doesn&#39;t stop after this amount, it will be killed | [optional] 
**external_job_key** | **str** | The unique identifier of the external job associated with the jobs generated by this schedule. A key is generated for each group of jobs triggered by this schedule. | [optional] 
**external_job_key_scheduler** | **str** | The unique identifier of the external background task schedule associated with the background tasks generated by this schedule. A key is generated for each batch of background tasks triggered by this schedule. | [optional] 
**time_zone_id** | **str** | The timezone under which the schedule will run. | 
**time_zone_iana** | **str** | The timezone under which the schedule will run in Iana Standard. | [optional] 
**use_calendar** | **bool** | DEPRECATED. Specify whether the schedule uses any calendar. | [optional] 
**calendar_id** | **int** | The id of the calendar that a process schedule uses. | [optional] 
**calendar_name** | **str** | The name of the calendar. | [optional] 
**calendar_key** | **str** |  | [optional] 
**stop_process_date** | **datetime** |  | [optional] 
**input_arguments** | **str** | Input parameters that will be passed to each job created by this schedule. | [optional] 
**queue_definition_id** | **int** | The Id of the queue that uses this schedule for activation (trigger jobs when new queue items are added) | [optional] 
**queue_definition_name** | **str** | The Name of the queue that uses this schedule for activation (trigger jobs when new queue items are added) | [optional] 
**activate_on_job_complete** | **bool** | Flag for activating the queue trigger on each completed job. | [optional] 
**items_activation_threshold** | **int** | The minimum number of queue items that should trigger the process activation. | [optional] 
**items_per_job_activation_target** | **int** | The target ratio between the number of queue items and the Total number of jobs created by a process. | [optional] 
**max_jobs_for_activation** | **int** | The maximum number of jobs that a process can create as result of a Queue driven activation. | [optional] 
**resume_on_same_context** | **bool** | Flag for honoring initial machine and robot choice upon resumption of created jobs, if jobs are suspended. &lt;br /&gt;  If set, the jobs will resume on the same robot-machine pair on which they initially ran. | [optional] 
**description** | **str** | Description of process schedule. | [optional] 
**machine_robots** | [**list[MachineRobotSessionDto]**](MachineRobotSessionDto.md) | The machine robots. | [optional] 
**tags** | [**list[TagDto]**](TagDto.md) |  | [optional] 
**alert_pending_expression** | **str** |  | [optional] 
**alert_running_expression** | **str** |  | [optional] 
**run_as_me** | **bool** |  | [optional] 
**consecutive_job_failures_threshold** | **int** |  | [optional] 
**job_failures_grace_period_in_hours** | **int** |  | [optional] 
**is_connected** | **bool** | Whether this process trigger represents a connected trigger defined in package bindings | [optional] 
**id** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


