# WrappedProcessScheduleDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | [optional] 
**name** | **str** | The name of the schedule. | [optional] 
**enabled** | **bool** | Specifies if the schedule is active or not. | [optional] 
**environment_id** | **str** | The Id of the environment associated with the schedule. | [optional] 
**environment_name** | **str** | The name of the environment associated with the schedule. | [optional] 
**start_process_cron** | **str** | The start cron expression of the schedule. | [optional] 
**start_strategy** | **str** | States which robots from the environment are being run by the schedule. | [optional] 
**stop_strategy** | **str** | The way a running process is stopped. | [optional] 
**external_job_key** | **str** | The unique identifier of the external job associated with the jobs generated by this schedule. A key is generated for each group of jobs triggered by this schedule. | [optional] 
**external_job_key_scheduler** | **str** | The unique identifier of the external background task schedule associated with the background tasks generated by this schedule. A key is generated for each batch of background tasks triggered by this schedule. | [optional] 
**time_zone_id** | **str** | The timezone under which the schedule will run. | [optional] 
**time_zone_iana** | **str** | The timezone under which the schedule will run in Iana Standard. | [optional] 
**use_calendar** | **bool** | DEPRECATED. Specify whether the schedule uses a calendar | [optional] 
**calendar_id** | **int** | Specify which calendar to use | [optional] 
**release** | [**SimpleReleaseEventDto**](SimpleReleaseEventDto.md) |  | [optional] 
**executor_robots** | [**list[SimpleRobotEventDto]**](SimpleRobotEventDto.md) | The collection of specific robots selected to be targeted by the current schedule. This collection must be empty if the start strategy is not 0 (specific robots). | [optional] 
**machine_robots** | [**list[MachineRobotSessionDto]**](MachineRobotSessionDto.md) | The machine robots. This collection must be empty if there are no explicit machine mappings | [optional] 
**input_arguments** | **object** | Input parameters that will be passed to each job created by this schedule. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


